import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Bdtfre {
    
    @observable
    accdat=""           // \bddgrp\rec\accdat    承兑日期 

    @observable
    docflg=""           // \bddgrp\rec\docflg    单据类型 

    @observable
    inr=""           // \bddgrp\rec\inr    索引 

    @observable
    matdat=""           // \bddgrp\rec\matdat    到期日 

    @observable
    nam=""           // \bddgrp\rec\nam    概要描述 

    @observable
    opndat=""           // \bddgrp\rec\opndat    收单日期 

    @observable
    ownref=""           // \bddgrp\rec\ownref    单据编号 

    @observable
    nam1=""           // \didgrp\rec\nam    概要描述 

    @observable
    ownref1=""           // \didgrp\rec\ownref    业务编号 

    @observable
    max_amt=""           // \bddgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \bddgrp\cbs\max\cur    Currency 

    @observable
    opn1_amt=""           // \bddgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \bddgrp\cbs\opn1\cur    Currency 

    @observable
    bdtmod_clsflg=""           // \bdtmod\clsflg    闭卷业务 

    @observable
    pts_namcn=""           // \didgrp\adv\pts\namcn    客户中文名称 

    @observable
    pts1_namcn=""           // \didgrp\apl\pts\namcn    客户中文名称 

    @observable
    pts2_namcn=""           // \didgrp\ben\pts\namcn    客户中文名称 

    @observable
    ditmod_clsflg=""           // \ditmod\clsflg    闭卷业务 

    @observable
    pts3_adrcn=""           // \fremsg\fmc\pts\adrcn    中文地址 

    @observable
    pts3_extkey=""           // \fremsg\fmc\pts\extkey    客户编号 

    @observable
    pts3_namcn=""           // \fremsg\fmc\pts\namcn    客户中文名称 

    @observable
    fremsg_fretxt=""           // \fremsg\fretxt    Narrative 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.accdat=""
            this.docflg=""
            this.inr=""
            this.matdat=""
            this.nam=""
            this.opndat=""
            this.ownref=""
            this.nam1=""
            this.ownref1=""
            this.max_amt=""
            this.max_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.bdtmod_clsflg=""
            this.pts_namcn=""
            this.pts1_namcn=""
            this.pts2_namcn=""
            this.ditmod_clsflg=""
            this.pts3_adrcn=""
            this.pts3_extkey=""
            this.pts3_namcn=""
            this.fremsg_fretxt=""
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.setmod_feemac=""
            this.glemod_glelst=[]
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_setmac=""
            this.spt_inr=""
            this.trndoc_cortyp=""
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
    }

} 


export default Bdtfre