export default fieldSet = {
  accdat:[
      {type:'string',max:12,message:'长度不能超过12个字符'},  // \bmdgrp\rec\accdat    承兑日期 
],
accrmk:[
      {type:'string',max:25,message:'长度不能超过25个字符'},  // \bmdgrp\rec\accrmk    承兑备注 
],
acpnowflg:[
      {type:'string',max:1,message:'长度不能超过1个字符'},  // \bmdgrp\rec\acpnowflg    承兑标识 
],
advdat:[
      {type:'string',max:12,message:'长度不能超过12个字符'},  // \bmdgrp\rec\advdat    通知日期 
],
advdocflg:[
      {type:'string',max:1,message:'长度不能超过1个字符'},  // \bmdgrp\rec\advdocflg    退单标识 
],
bllprc:[
      {type:'string',max:4,message:'长度不能超过4个字符'},  // \bmdgrp\rec\bllprc    单据处理 
],
clsdat:[
      {type:'string',max:12,message:'长度不能超过12个字符'},  // \bmdgrp\rec\clsdat    闭卷日期 
],
credat:[
      {type:'string',max:12,message:'长度不能超过12个字符'},  // \bmdgrp\rec\credat    创建日期 
],
docdis:[
      {type:'string',max:25,message:'长度不能超过25个字符'},  // \bmdgrp\rec\docdis    不符点 
],
docprbrol:[
      {type:'string',max:3,message:'长度不能超过3个字符'},  // \bmdgrp\rec\docprbrol    交单人类型 
],
docref:[
      {type:'string',max:20,message:'长度不能超过20个字符'},  // \bmdgrp\rec\docref    到单编号 
],
docsta:[
      {type:'string',max:40,message:'长度不能超过40个字符'},  // \bmdgrp\rec\docsta    单据状态 
],
doctypcod:[
      {type:'string',max:4,message:'长度不能超过4个字符'},  // \bmdgrp\rec\doctypcod    单据类型 
],
etyextkey:[
      {type:'string',max:8,message:'长度不能超过8个字符'},  // \bmdgrp\rec\etyextkey    实体 
],
expcmp:[
      {type:'string',max:30,message:'长度不能超过30个字符'},  // \bmdgrp\rec\expcmp    快递公司 
],
expmno:[
      {type:'string',max:60,message:'长度不能超过60个字符'},  // \bmdgrp\rec\expmno    快递单号 
],
frepayflg:[
      {type:'string',max:1,message:'长度不能超过1个字符'},  // \bmdgrp\rec\frepayflg    无偿放单标识 
],
inr:[
      {type:'string',max:8,message:'长度不能超过8个字符'},  // \bmdgrp\rec\inr    索引 
],
invdtl:[
      {type:'string',max:25,message:'长度不能超过25个字符'},  // \bmdgrp\rec\invdtl    发票信息 
],
matdat:[
      {type:'string',max:12,message:'长度不能超过12个字符'},  // \bmdgrp\rec\matdat    单据到期日 
],
nam:[
      {type:'string',max:40,message:'长度不能超过40个字符'},  // \bmdgrp\rec\nam    描述 
],
negamt:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\rec\negamt    议付金额 
],
negdat:[
      {type:'string',max:8,message:'长度不能超过8个字符'},  // \bmdgrp\rec\negdat    议付日期 
],
negflg:[
      {type:'string',max:4,message:'长度不能超过4个字符'},  // \bmdgrp\rec\negflg    议付标志 
],
negref:[
      {type:'string',max:20,message:'长度不能超过20个字符'},  // \bmdgrp\rec\negref    议付编号 
],
opndat:[
      {type:'string',max:12,message:'长度不能超过12个字符'},  // \bmdgrp\rec\opndat    开立日期 
],
ownbch:[
      {type:'string',max:8,message:'长度不能超过8个字符'},  // \bmdgrp\rec\ownbch    所属机构 
],
ownref:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\rec\ownref    业务编号 
],
ownusr:[
      {type:'string',max:8,message:'长度不能超过8个字符'},  // \bmdgrp\rec\ownusr    经办柜员 
],
payrol:[
      {type:'string',max:3,message:'长度不能超过3个字符'},  // \bmdgrp\rec\payrol    付款人 
],
pntinr:[
      {type:'string',max:8,message:'长度不能超过8个字符'},  // \bmdgrp\rec\pntinr    关联业务索引 
],
pnttyp:[
      {type:'string',max:6,message:'长度不能超过6个字符'},  // \bmdgrp\rec\pnttyp    关联业务类型 
],
prbfee:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\rec\prbfee    交单行费用 
],
predat:[
      {type:'string',max:12,message:'长度不能超过12个字符'},  // \bmdgrp\rec\predat    寄单日期 
],
prsdoc:[
      {type:'string',max:40,message:'长度不能超过40个字符'},  // \bmdgrp\rec\prsdoc    单据明细 
],
rcssta:[
      {type:'string',max:4,message:'长度不能超过4个字符'},  // \bmdgrp\rec\rcssta    追索权 
],
rcvdat:[
      {type:'string',max:12,message:'长度不能超过12个字符'},  // \bmdgrp\rec\rcvdat    收单日期 
],
rejdat:[
      {type:'string',max:8,message:'长度不能超过8个字符'},  // \bmdgrp\rec\rejdat    拒付日期 
],
rejrmk:[
      {type:'string',max:20,message:'长度不能超过20个字符'},  // \bmdgrp\rec\rejrmk    拒付备注 
],
rejsum:[
      {type:'string',max:20,message:'长度不能超过20个字符'},  // \bmdgrp\rec\rejsum    拒付声明 
],
remark:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \bmdgrp\rec\remark    备注 
],
rtndat:[
      {type:'string',max:8,message:'长度不能超过8个字符'},  // \bmdgrp\rec\rtndat    退单日期 
],
saldocflg:[
      {type:'string',max:1,message:'长度不能超过1个字符'},  // \bmdgrp\rec\saldocflg    转卖单据 
],
shpdat:[
      {type:'string',max:12,message:'长度不能超过12个字符'},  // \bmdgrp\rec\shpdat    装运日期 
],
totamt:[
      {type:'string',max:18,message:'长度不能超过18个字符'},  // \bmdgrp\rec\totamt    索偿金额 
],
totcur:[
      {type:'string',max:3,message:'长度不能超过3个字符'},  // \bmdgrp\rec\totcur    索偿币种 
],
totdat:[
      {type:'string',max:12,message:'长度不能超过12个字符'},  // \bmdgrp\rec\totdat    索偿日期 
],
tranbr:[
      {type:'string',max:3,message:'长度不能超过3个字符'},  // \bmdgrp\rec\tranbr    催收次数 
],
usrbch:[
      {type:'string',max:8,message:'长度不能超过8个字符'},  // \bmdgrp\rec\usrbch    经办机构 
],
ver:[
      {type:'string',max:4,message:'长度不能超过4个字符'},  // \bmdgrp\rec\ver    版本号 
],
avbby:[
      {type:'string',max:4,message:'长度不能超过4个字符'},  // \dedgrp\rec\avbby    信用证对付方式 
],
expdat:[
      {type:'string',max:12,message:'长度不能超过12个字符'},  // \dedgrp\rec\expdat    有效日期 
],
expplc:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\rec\expplc    有效地点 
],
inr1:[
      {type:'string',max:8,message:'长度不能超过8个字符'},  // \dedgrp\rec\inr    索引 
],
lcref:[
      {type:'string',max:35,message:'长度不能超过35个字符'},  // \dedgrp\rec\lcref    信用证编号 
],
opndat1:[
      {type:'string',max:10,message:'长度不能超过10个字符'},  // \dedgrp\rec\opndat    开立日期 
],
ownref1:[
      {type:'string',max:20,message:'长度不能超过20个字符'},  // \dedgrp\rec\ownref    业务编号 
],
pts_extkey:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\a2b\pts\extkey    客户编号 
],
pts1_extkey:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\acb\pts\extkey    客户编号 
],
pts2_extkey:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\adv\pts\extkey    客户编号 
],
pts3_extkey:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\apl\pts\extkey    客户编号 
],
pts4_extkey:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\avb\pts\extkey    客户编号 
],
pts5_extkey:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\beb\pts\extkey    客户编号 
],
pts6_extkey:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\ben\pts\extkey    客户编号 
],
pts7_extkey:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\con\pts\extkey    客户编号 
],
pts8_extkey:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\doc\pts\extkey    客户编号 
],
pts9_adrcn:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \bmdgrp\fre\pts\adrcn    中文地址 
],
pts9_extkey:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\fre\pts\extkey    客户编号 
],
pts9_namcn:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \bmdgrp\fre\pts\namcn    客户中文名称 
],
pts10_extkey:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\iss\pts\extkey    客户编号 
],
pts11_adrcn:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \bmdgrp\oth\pts\adrcn    中文地址 
],
pts11_extkey:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\oth\pts\extkey    客户编号 
],
pts11_namcn:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \bmdgrp\oth\pts\namcn    客户中文名称 
],
pts11_ownref:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\oth\pts\ownref    业务编号 
],
pts12_extkey:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\prb\pts\extkey    客户编号 
],
pts13_extkey:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\rmb\pts\extkey    客户编号 
],
pts14_namcn:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\apl\pts\namcn    客户中文名称 
],
pts15_namcn:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\ben\pts\namcn    客户中文名称 
],
max_amt:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \dedgrp\cbs\max\amt    Balance 
],
max_cur:[
      {type:'string',max:3,message:'长度不能超过3个字符'},  // \dedgrp\cbs\max\cur    Currency 
],
opn1_amt:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \dedgrp\cbs\opn1\amt    Balance 
],
opn1_cur:[
      {type:'string',max:3,message:'长度不能超过3个字符'},  // \dedgrp\cbs\opn1\cur    Currency 
],
pts16_extkey:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \dedgrp\iss\pts\extkey    客户编号 
],
pts16_namcn:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\iss\pts\namcn    客户中文名称 
],
setmod_docamt:[
      {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
],
setmod_doccur:[
      {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\doccur    document currency 
],
setmod_feemac:[
      {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\feemac    FEEMAC 
],
setmod_setmac:[
      {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\setmac    SETMAC 
],
spt_inr:[
      {type:'string',max:8,message:'长度不能超过8个字符'},  // \sysmod\spt\inr    唯一编号 
],
trndoc_cortyp:[
      {type:'string',max:3,message:'长度不能超过3个字符'},  // \trnmod\trndoc\cortyp    Per Medium 
],
trndoc_doccod:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
],
trndoc_docpth:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
],
}