export default fieldSet = {
    accdat:[
            {type:'string'},  // \bmdgrp\rec\accdat    Acceptance Date 
    ],
    docref:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \bmdgrp\rec\docref    到单编号 
    ],
    docsta:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bmdgrp\rec\docsta    Document Set Status 
    ],
    doctypcod:[
            {type:'string'},  // \bmdgrp\rec\doctypcod    Document Type 
    ],
    matdat:[
            {type:'string'},  // \bmdgrp\rec\matdat    Maturity Date 
    ],
    opndat:[
            {type:'string'},  // \bmdgrp\rec\opndat    Date Opened/Issued 
    ],
    ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\rec\ownref    Own Reference BE Number 
    ],
    max_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\cbs\max\amt    Balance 
    ],
    max_cur:[
            {type:'string'},  // \bmdgrp\cbs\max\cur    Currency 
    ],
    opn1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\cbs\opn1\amt    Balance 
    ],
    opn1_cur:[
            {type:'string'},  // \bmdgrp\cbs\opn1\cur    Currency 
    ],
    pts_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\adv\pts\namcn    客户中文名称 
    ],
    pts1_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\apl\pts\namcn    客户中文名称 
    ],
    pts2_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\ben\pts\namcn    客户中文名称 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
    ],
    setmod_doccur:[
            {type:'string'},  // \setmod\doccur    document currency 
    ],
    setmod_feemac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\feemac    FEEMAC 
    ],
    setmod_redamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\redamt    Reduction Amount 
    ],
    rcvamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \rcvamt Reduced Amount to settle 
    ],
    setmod_setmac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\setmac    SETMAC 
    ],
    trndoc_doccod:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
    ],
    trndoc_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
    ],
}