import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Bptopn {
    @observable
    iratyp=""           // \bpdgrp\rec\iratyp    计息方式 
    
    @observable
    accusr=""           // \bpdgrp\rec\accusr    客户经理 

    @observable
    basrat=""           // \bpdgrp\rec\basrat    融资利率 

    @observable
    clsdat=""           // \bpdgrp\rec\clsdat    闭卷日期 

    @observable
    conno=""           // \bpdgrp\rec\conno    合同编号 

    @observable
    credat=""           // \bpdgrp\rec\credat    创建日期 

    @observable
    docamt=""           // \bpdgrp\rec\docamt    单据金额 

    @observable
    doccur=""           // \bpdgrp\rec\doccur    单据币种 

    @observable
    etyextkey=""           // \bpdgrp\rec\etyextkey    实体 

    @observable
    expdat=""           // \bpdgrp\rec\expdat    融资到期日 

    @observable
    fintyp=""           // \bpdgrp\rec\fintyp    贸易融资类型 

    @observable
    graday=""           // \bpdgrp\rec\graday    宽限期 

    @observable
    inr=""           // \bpdgrp\rec\inr    索引 

    @observable
    intday=""           // \bpdgrp\rec\intday    计息天数 

    @observable
    invno=""           // \bpdgrp\rec\invno    发票号 

    @observable
    iratyp=""           // \bpdgrp\rec\iratyp    计息方式 

    @observable
    matdat=""           // \bpdgrp\rec\matdat    单据到期日 

    @observable
    nam=""           // \bpdgrp\rec\nam    概要描述 

    @observable
    opndat=""           // \bpdgrp\rec\opndat    起息日 

    @observable
    ownbch=""           // \bpdgrp\rec\ownbch    归属机构 

    @observable
    ownref=""           // \bpdgrp\rec\ownref    融资业务编号 

    @observable
    ownusr=""           // \bpdgrp\rec\ownusr    创建柜员 

    @observable
    pctfin=""           // \bpdgrp\rec\pctfin    融资比例 

    @observable
    pntinr=""           // \bpdgrp\rec\pntinr    单据索引 

    @observable
    pntnam=""           // \bpdgrp\rec\pntnam    单据描述 

    @observable
    pntref=""           // \bpdgrp\rec\pntref    单据编号 

    @observable
    pnttyp=""           // \bpdgrp\rec\pnttyp    关联类型 

    @observable
    usrbch=""           // \bpdgrp\rec\usrbch    经办机构 

    @observable
    ver=""           // \bpdgrp\rec\ver    版本号 

    @observable
    max_amt=""           // \bpdgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \bpdgrp\cbs\max\cur    Currency 

    @observable
    pts_adrcn=""           // \bpdgrp\fia\pts\adrcn    中文地址 

    @observable
    pts_extkey=""           // \bpdgrp\fia\pts\extkey    客户编号 

    @observable
    pts_namcn=""           // \bpdgrp\fia\pts\namcn    客户中文名称 
    
    @observable
    pts_extact=""           // \bpdgrp\fia\pts\extact    客户结算账号 

    @observable
    acrmod_acelst=[]           // \setmod\acrmod\acelst 

    @observable
    acrmod_acrlst=[]           // \setmod\acrmod\acrlst 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.iratyp=""
            this.accusr=""
            this.basrat=""
            this.clsdat=""
            this.conno=""
            this.credat=""
            this.docamt=""
            this.doccur=""
            this.etyextkey=""
            this.expdat=""
            this.fintyp=""
            this.graday=""
            this.inr=""
            this.intday=""
            this.invno=""
            this.iratyp=""
            this.matdat=""
            this.nam=""
            this.opndat=""
            this.ownbch=""
            this.ownref=""
            this.ownusr=""
            this.pctfin=""
            this.pntinr=""
            this.pntnam=""
            this.pntref=""
            this.pnttyp=""
            this.usrbch=""
            this.ver=""
            this.max_amt=""
            this.max_cur=""
            this.pts_adrcn=""
            this.pts_extkey=""
            this.pts_namcn=""
            this.pts_extact=""
            this.acrmod_acelst=[]
            this.acrmod_acrlst=[]
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.setmod_feemac=""
            this.glemod_glelst=[]
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_setmac=""
            this.spt_inr=""
            this.trndoc_cortyp=""
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
    }

} 


export default Bptopn