
export default fieldSet = {
        fegmod_feslst:[

        ],
        glgmod_glslst:[

        ],
        branchinr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cpdgrp\rec\branchinr    所属机构 
            { required: true, message: '必输项' },
    ],
    cpdflg:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cpdgrp\rec\cpdflg    汇款类型 
    ],
    custyp:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \cpdgrp\rec\custyp    汇款人性质 
            { required: true, message: '必输项' },
    ],
    diptyp:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \cpdgrp\rec\diptyp    解付方式 
            { required: true, message: '必输项' },
    ],
    liqtyp:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cpdgrp\rec\liqtyp    清算路径 
            { required: true, message: '必输项' },
    ],
    orcacc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \cpdgrp\rec\orcacc    付款人账号 
            { required: true, message: '必输项' },
    ],
    ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \cpdgrp\rec\ownref    业务编号 
            { required: true, message: '必输项' },
    ],
    paytyp:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \cpdgrp\rec\paytyp    汇款方式 
            { required: true, message: '必输项' },
    ],
    pyeacc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \cpdgrp\rec\pyeacc    收款人账号 
            { required: true, message: '必输项' },
    ],
    stacty:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \cpdgrp\rec\stacty    交易对手国别 
            { required: true, message: '必输项' },
    ],
    swftyp:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cpdgrp\rec\swftyp    报文类型 
            { required: true, message: '必输项' },
    ],
    valdat:[
            {type:'string',max:10,message:'长度不能超过8个字符'},  // \cpdgrp\rec\valdat    起息日 
            { required: true, message: '必输项' },
    ],
    bas_actiondesc:[
            {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbagrp\bas\actiondesc    修改/删除原因 
    ],
    bas_actiontype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbagrp\bas\actiontype    操作类型 
    ],
    bas_buscode:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\bas\buscode    银行业务编号 
            {required:true,message:'请输入银行业务编号'}
    ],
    bas_custcod:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \bopmod\dbagrp\bas\custcod    组织机构 
            {validator(rule, value, callback, source, options) {
                if(source.bas_custype=='C'&&!value){
                        callback('汇款人类型为对公用户时必填')
                }else{
                        callback();
                }
             }}
    ],
    bas_custnm:[
            {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbagrp\bas\custnm    收款人名称 
            { required: true, message: '必输项' },
    ],
    bas_custype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbagrp\bas\custype    收款人类型 
    ],
    bas_exrate:[
            {type:'string',max:13,message:'长度不能超过13个字符'},  // \bopmod\dbagrp\bas\exrate    结汇汇率 
            {validator(rule, value, callback, source, options) {
                if(source.bas_lcyamt>0&&!value){
                        callback('结汇汇率必填')
                }else{
                       callback();
                }
             }}
    ],
    bas_fcyacc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbagrp\bas\fcyacc    外汇帐号/银行卡号 
            {validator(rule, value, callback, source, options) {
                if(source.bas_fcyamt&&!value){
                        callback('有现汇金额时必填')
                }else{
                        callback();
                }
             }}
    ],
    bas_fcyamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\bas\fcyamt    现汇金额 
            {validator(rule, value, callback, source, options) {
                if(source.bas_fcyacc&&value<=0){
                        callback('账号不为空金额必须大于0')
                }else{
                        callback();
                }
             }}
    ],
    bas_idcode:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbagrp\bas\idcode    个人身份证件号码 
            {validator(rule, value, callback, source, options) {
                if(source.bas_custype!=='C'&&!value){
                        callback('汇款人类型不为对公用户时必填')
                }else{
                        callback();
                }
             }}
    ],
    bas_inchargeamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\bas\inchargeamt    国内银行扣费金额 
            {pattern:/^[1-9]\d*$/,message:'请输入大于0的整数'},
    ],
    bas_inchargeccy:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbagrp\bas\inchargeccy    国内银行扣费币种 
    ],
    bas_lcyacc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbagrp\bas\lcyacc    人民币帐号/银行卡号 
            {validator(rule, value, callback, source, options) {
                if(source.bas_exrate&& source.bas_lcyamt&&!value ){
                        callback('结汇汇率和结汇金额不为空时必填')
                }else{
                        callback();
                }
             }}
    ],
    bas_lcyamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\bas\lcyamt    结汇金额 
            {pattern:/^\d+(\.\d+)?$/,message:'请输入大于0的数'}, 
    ],
    bas_method:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbagrp\bas\method    结算方式 
    ],
    bas_oppuser:[
            {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbagrp\bas\oppuser    付款人名称 
            {required:true,message:'请输入收款人名称'},
            {pattern:/^(JW)|(JN)/,message:'必须以JW或JN开头'}
    ],
    bas_othacc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbagrp\bas\othacc    其它帐号/银行卡号 
            {validator(rule, value, callback, source, options) {
                if(source.bas_othamt!=0&&!value){
                        callback('请输入其他账号/银行卡号')
                }else{
                        callback();
                }
             }}
    ],
    bas_othamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\bas\othamt    其它金额 
            {validator(rule, value, callback, source, options) {
                if(source.bas_othacc&&value<=0){
                        callback('金额必须大于0');
                }else{
                        callback();
                }
             }} 
    ],
    bas_outchargeamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\bas\outchargeamt    国外银行扣费金额 
            {pattern:/^[1-9]\d*$/,message:'请输入大于0的整数'},

    ],
    bas_outchargeccy:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbagrp\bas\outchargeccy    国外银行扣费币种 
    ],
    bas_ownextkey:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbagrp\bas\ownextkey    initial entity code 
    ],
    bas_rptno:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\bas\rptno    申报号码 
    ],
    bas_txamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\bas\txamt    收入款金额 
            {pattern:/^[1-9]\d*$/,message:'请输入大于0的整数'},
    ],
    bas_txccy:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbagrp\bas\txccy    收入款币种 
            {pattern:/^[A-Z]+$/,message:'请输入币种'},        
    ],
    dcl_actiondesc:[
            {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbagrp\dcl\actiondesc    修改/删除原因 
    ],
    dcl_actiontype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbagrp\dcl\actiontype    操作类型 
    ],
    dcl_billno:[
            {type:'string',max:50,message:'长度不能超过50个字符'},  // \bopmod\dbagrp\dcl\billno    外债编号涉外收入申报单独有 
    ],
    dcl_country:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbagrp\dcl\country    付款人常驻国家/地区编码 
            { required: true, message: '必输项' },
    ],
    dcl_crtuser:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \bopmod\dbagrp\dcl\crtuser    填报人 
            { required: true, message: '必输项' },
    ],
    dcl_inptelc:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \bopmod\dbagrp\dcl\inptelc    填报人电话 
            { required: true, message: '必输项' },
    ],
    dcl_isref:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbagrp\dcl\isref    是否出口核销项下收汇 
    ],
    dcl_payattr:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbagrp\dcl\payattr    收入类型 
    ],
    dcl_paytype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbagrp\dcl\paytype    收款性质 
    ],
    dcl_rptdate:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbagrp\dcl\rptdate    申报日期 
            { required: true, message: '必输项' },
    ],
    dcl_rptno:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\dcl\rptno    申报号码 
    ],
    dcl_tc1amt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\dcl\tc1amt    相应金额1 
            { required: true, message: '必输项' },
    ],
    dcl_tc2amt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\dcl\tc2amt    相应金额2 
            {validator(rule, value, callback, source, options) {
                if(source.dcl_txcode2&& !value ){
                        callback('有交易编码2时必填');
                }else{
                        callback();
                }
             }}
    ],
    dcl_tx2rem:[
            {type:'string',max:256,message:'长度不能超过256个字符'},  // \bopmod\dbagrp\dcl\tx2rem    交易附言2 
            {validator(rule, value, callback, source, options) {
                if(source.dcl_txcode2&& !value ){
                        callback('有交易编码2时必填');
                }else{
                        callback();
                }
             }}
    ],
    dcl_txcode:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbagrp\dcl\txcode    交易编码1 
            { required: true, message: '必输项' },
    ],
    dcl_txcode2:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbagrp\dcl\txcode2    交易编码2 
            {validator(rule, value, callback, source, options) {
                if(value==source.dcl_txcode){
                        callback('不能与交易编码1相同');
                }else{
                        callback();
                }
             }}
    ],
    dcl_txrem:[
            {type:'string',max:256,message:'长度不能超过256个字符'},  // \bopmod\dbagrp\dcl\txrem    交易附言1 
            { required: true, message: '必输项' },
    ],
    baspp_cornam:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbap\baspp\cornam     
    ],
    baspp_corpnam:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbap\baspp\corpnam     
    ],
    baspp_cusnam:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbap\baspp\cusnam     
    ],
    baspp_exratelab:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbap\baspp\exratelab    售汇/结汇汇率 
    ],
    _baspp_getref:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \bopmod\dbap\baspp\getref    getref 
    ],
    baspp_lcyamtlab:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbap\baspp\lcyamtlab    售汇/结汇金额 
    ],
    _codsel1_selbut:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbap\dclpp\codsel1\selbut    ? 
    ],
    _codsel1_selbut1:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbap\dclpp\codsel1\selbut1    ? 
    ],
    _codsel2_selbut:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbap\dclpp\codsel2\selbut    ? 
    ],
    dclpp_country1:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bopmod\dbap\dclpp\country1    收/付款人常驻国家/地区编码 
    ],
    dclpp_crtuser1:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bopmod\dbap\dclpp\crtuser1    申报填报人 
    ],
    dclpp_inptelc1:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bopmod\dbap\dclpp\inptelc1    申报填报人电话 
    ],
    dclpp_isref1:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bopmod\dbap\dclpp\isref1    是否出口核销项下收汇 
    ],
    dclpp_paytype1:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bopmod\dbap\dclpp\paytype1    收款性质 
    ],
    bas1_actiondesc:[
            {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbdgrp\bas\actiondesc    修改/删除原因 
    ],
    bas1_actiontype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbdgrp\bas\actiontype    操作类型 
    ],
    bas1_buscode:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbdgrp\bas\buscode    银行业务编号 
            {required:true,message:'请输入银行业务编号'}
    ],
    bas1_custcod:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \bopmod\dbdgrp\bas\custcod    组织机构 
            {validator(rule, value, callback, source, options) {
                if(source.bas1_custype=='C'&&!value){
                        callback('汇款人类型为对公用户时必填')
                }else{
                        callback();
                }
             }}
    ],
    bas1_custnm:[
            {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbdgrp\bas\custnm    收款人名称 
            { required: true, message: '必输项' },
    ],
    bas1_custype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbdgrp\bas\custype    收款人类型 
    ],
    bas1_exrate:[
            {type:'string',max:13,message:'长度不能超过13个字符'},  // \bopmod\dbdgrp\bas\exrate    结汇汇率 
            {validator(rule, value, callback, source, options) {
                if(source.bas1_lcyamt>0&&!value){
                        callback('结汇汇率必填')
                }else{
                        callback();
                }
             }}
    ],
    bas1_fcyacc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbdgrp\bas\fcyacc    外汇帐号/银行卡号 
            {validator(rule, value, callback, source, options) {
                if(source.bas1_fcyamt&&!value){
                        callback('有现汇金额时必填')
                }else{
                        callback();
                }
             }}
    ],
    bas1_fcyamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbdgrp\bas\fcyamt    现汇金额 
            {validator(rule, value, callback, source, options) {
                if(source.bas1_fcyacc&&value<=0){
                        callback('账号不为空金额必须大于0')
                }else{
                        callback();
                }
             }}
    ],
    bas1_idcode:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbdgrp\bas\idcode    个人身份证件号码 
            {validator(rule, value, callback, source, options) {
                if(source.bas1_custype!=='C'&&!value){
                        callback('汇款人类型不为对公用户时必填')
                }else{
                        callback();
                }
             }}
    ],
    bas1_inchargeamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbdgrp\bas\inchargeamt    国内银行扣费金额 
            {pattern:/^[1-9]\d*$/,message:'请输入大于0的数'},
    ],
    bas1_inchargeccy:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbdgrp\bas\inchargeccy    国内银行扣费币种 
    ],
    bas1_lcyacc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbdgrp\bas\lcyacc    人民币帐号/银行卡号 
            {validator(rule, value, callback, source, options) {
                if(source.bas1_exrate&& source.bas1_lcyamt&&!value ){
                        callback('结汇汇率和结汇金额不为空时必填')
                }else{
                        callback();
                }
             }}
    ],
    bas1_lcyamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbdgrp\bas\lcyamt    结汇金额 
            {pattern:/^\d+(\.\d+)?$/,message:'请输入大于0的数'}, 
    ],
    bas1_method:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbdgrp\bas\method    结算方式 
    ],
    bas1_oppuser:[
            {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbdgrp\bas\oppuser    付款人名称 
            { required: true, message: '必输项' },
    ],
    bas1_othacc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbdgrp\bas\othacc    其它帐号/银行卡号 
            {validator(rule, value, callback, source, options) {
                if(source.bas1_othamt&&!value){
                        callback('请输入其他账号/银行卡号')
                }else{
                        callback();
                }
             }}
    ],
    bas1_othamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbdgrp\bas\othamt    其它金额 
            {validator(rule, value, callback, source, options) {
                if(source.bas1_othacc&&value<=0){
                        callback('金额必须大于0');
                }else{
                        callback();
                }
             }}
    ],
    bas1_ownextkey:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbdgrp\bas\ownextkey    initial entity code 
    ],
    bas1_rptno:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbdgrp\bas\rptno    申报号码 
    ],
    bas1_txamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbdgrp\bas\txamt    收入款金额 
            {pattern:/^[1-9]\d*$/,message:'请输入大于0的整数'},
    ],
    bas1_txccy:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbdgrp\bas\txccy    收入款币种 
            { required: true, message: '必输项' },
    ],
    vrf_actiondesc:[
            {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbdgrp\vrf\actiondesc    修改/删除原因 
    ],
    vrf_actiontype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbdgrp\vrf\actiontype    操作类型 
    ],
    vrf_crtuser:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \bopmod\dbdgrp\vrf\crtuser    填报人 
            { required: true, message: '必输项' },
    ],
    vrf_inptelc:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \bopmod\dbdgrp\vrf\inptelc    填报人电话 
            { required: true, message: '必输项' },
    ],
    vrf_isref:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbdgrp\vrf\isref    是否出口核销项下收汇 
    ],
    vrf_payattr:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbdgrp\vrf\payattr    收汇类型 
    ],
    vrf_paytype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbdgrp\vrf\paytype    收款性' 
    ],
    vrf_regno:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \bopmod\dbdgrp\vrf\regno    外汇局批件/备案表号 
    ],
    vrf_rptdate:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbdgrp\vrf\rptdate    申报日期 
            { required: true, message: '必输项' },
    ],
    vrf_rptno:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbdgrp\vrf\rptno    申报号码 
    ],
    vrf_tc1amt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbdgrp\vrf\tc1amt    相应金额1 
            { required: true, message: '必输项' },
    ],
    vrf_tc2amt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbdgrp\vrf\tc2amt    相应金额2 
            {validator(rule, value, callback, source, options) {
                if(source.vrf_txcode2&& !value ){
                        callback('有交易编码2时必填');
                }else{
                        callback();
                }
             }}
    ],
    vrf_tx2rem:[
            {type:'string',max:256,message:'长度不能超过256个字符'},  // \bopmod\dbdgrp\vrf\tx2rem    交易附言2 
            {validator(rule, value, callback, source, options) {
                if(source.vrf_txcode2&& !value ){
                        callback('有交易编码2时必填');
                }else{
                        callback();
                }
             }}
    ],
    vrf_txcode:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbdgrp\vrf\txcode    交易编码1 
            { required: true, message: '必输项' },
    ],
    vrf_txcode2:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbdgrp\vrf\txcode2    交易编码2 
            {validator(rule, value, callback, source, options) {
                if(value==source.vrf_txcode){
                        callback('不能与交易编码1相同');
                }else{
                        callback();
                }
             }}
    ],
    vrf_txrem:[
            {type:'string',max:256,message:'长度不能超过256个字符'},  // \bopmod\dbdgrp\vrf\txrem    交易附言1 
            { required: true, message: '必输项' },
    ],
    baspp1_cornam:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbdp\baspp\cornam     
    ],
    baspp1_corpnam:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbdp\baspp\corpnam     
    ],
    baspp1_cusnam:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbdp\baspp\cusnam     
    ],
    baspp1_exratelab:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbdp\baspp\exratelab    售汇/结汇汇率 
    ],
    _baspp1_getref:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \bopmod\dbdp\baspp\getref    getref 
    ],
    baspp1_lcyamtlab:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbdp\baspp\lcyamtlab    售汇/结汇金额 
    ],
    _codsel11_selbut:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbdp\codsel1\selbut    ? 
    ],
    _codsel21_selbut:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbdp\codsel2\selbut    ? 
    ],
    max_amt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \cpdgrp\cbs\max\amt    Balance 
    ],
    max_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \cpdgrp\cbs\max\cur    Currency 
    ],
    pts_adrblk:[
            {type:'string',max:143,message:'长度不能超过140个字符'},  // \cpdgrp\orc\pts\adrblk    SWIFT地址 
            { required: true, message: '必输项' },
    ],
    pts_adrcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \cpdgrp\orc\pts\adrcn    中文地址 
    ],
    pts_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \cpdgrp\orc\pts\extkey    客户编号 
            { required: true, message: '必输项' },
    ],
    pts_nam:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \cpdgrp\orc\pts\nam    客户英文名称 
    ],
    pts_namcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \cpdgrp\orc\pts\namcn    客户中文名称 
    ],
    pty_ownusr:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \cpdgrp\orc\pty\ownusr    客户经理 
    ],
    pts1_adrblk:[
            {type:'string',max:143,message:'长度不能超过140个字符'},  // \cpdgrp\ori\pts\adrblk    SWIFT地址 
            { required: true, message: '必输项' },
    ],
    pts1_adrcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \cpdgrp\ori\pts\adrcn    中文地址 
    ],
    pts1_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \cpdgrp\ori\pts\extkey    客户编号 
            { required: true, message: '必输项' },
    ],
    pts1_nam:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \cpdgrp\ori\pts\nam    客户英文名称 
    ],
    pts1_namcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \cpdgrp\ori\pts\namcn    客户中文名称 
    ],
    pts2_adrblk:[
            {type:'string',max:143,message:'长度不能超过140个字符'},  // \cpdgrp\pyb\pts\adrblk    SWIFT地址 
            { required: true, message: '必输项' },
    ],
    pts2_adrcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \cpdgrp\pyb\pts\adrcn    中文地址 
    ],
    pts2_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \cpdgrp\pyb\pts\extkey    客户编号 
            { required: true, message: '必输项' },
    ],
    pts2_nam:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \cpdgrp\pyb\pts\nam    客户英文名称 
    ],
    pts2_namcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \cpdgrp\pyb\pts\namcn    客户中文名称 
    ],
    pts3_adrblk:[
            {type:'string',max:143,message:'长度不能超过140个字符'},  // \cpdgrp\pye\pts\adrblk    SWIFT地址 
            { required: true, message: '必输项' },
    ],
    pts3_adrcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \cpdgrp\pye\pts\adrcn    中文地址 
    ],
    pts3_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \cpdgrp\pye\pts\extkey    客户编号 
            { required: true, message: '必输项' },
    ],
    pts3_nam:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \cpdgrp\pye\pts\nam    客户英文名称 
    ],
    pts3_namcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \cpdgrp\pye\pts\namcn    客户中文名称 
    ],
    _orcp_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cptp\orcp\ptysel    客户查询 
    ],
    _orcp_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cptp\orcp\sel    查询 
    ],
    _orip_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cptp\orip\ptysel    客户查询 
    ],
    _orip_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cptp\orip\sel    查询 
    ],
    _pybp_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cptp\pybp\ptysel    客户查询 
    ],
    _pybp_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cptp\pybp\sel    查询 
    ],
    _pyep_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cptp\pyep\ptysel    客户查询 
    ],
    _pyep_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cptp\pyep\sel    查询 
    ],
    mtabut_basflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \mtabut\basflg    基础信息 
    ],
    _chk:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \mtabut\chk    Check 
    ],
    mtabut_dclflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \mtabut\dclflg    申报信息 
    ],
    _getref:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \mtabut\getref    Get Ref. 
    ],
    mtabut_paydat:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \mtabut\paydat    收付汇日期 
    ],
    _ped:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \mtabut\ped    暂存 
    ],
    _rtn:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \mtabut\rtn    退出 
    ],
    _sav:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \mtabut\sav    Save 
    ],
    mtabut_vrfflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \mtabut\vrfflg    管理信息 
    ],
    _setmod_ast:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\ast    加载账务 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
    ],
    setmod_doccur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\doccur    document currency 
    ],
    _glemod_rebook:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\glemod\rebook    分录加载 
    ],
    _setmod_recal:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\recal    重算账务 
    ],
    _trndoc_butshw:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \trnmod\trndoc\butshw    show doc. 
    ],
    trndoc_doccod:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
    ],
    trndoc_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
    ],
    _trndoc_reldoc:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \trnmod\trndoc\reldoc    面函加载 
    ],


    _tbcmod_add:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbcmod\add    + 
],
_tbcmod_del:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbcmod\del    - 
],
_tbcmod_ame:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbcmod\ame    ame 
],
_tbbmod_add:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbbmod\add    + 
],
_tbbmod_del:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbbmod\del    - 
],
_tbbmod_ame:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbbmod\ame    ame 
],
_tbdmod_add:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbdmod\add    + 
],
_tbdmod_del:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbdmod\del    - 
],
_tbdmod_ame:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbdmod\ame    ame 
],
_tbemod_add:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbemod\add    + 
],
_tbemod_del:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbemod\del    - 
],
_tbemod_ame:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbemod\ame    ame 
],
_tbfmod_add:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbfmod\add    + 
],
_tbfmod_del:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbfmod\del    - 
],
_tbfmod_ame:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbfmod\ame    ame 
],
_tbgmod_add:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbgmod\add    + 
],
_tbgmod_del:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbgmod\del    - 
],
_tbgmod_ame:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbgmod\ame    ame 
],
_tbhmod_add:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbhmod\add    + 
],
_tbhmod_del:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbhmod\del    - 
],
_tbhmod_ame:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbhmod\ame    ame 
],
_tbimod_add:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbimod\add    + 
],
_tbimod_del:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbimod\del    - 
],
_tbimod_ame:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdap\tbimod\ame    ame 
],
tba_payeeamt:[
        {type:'string',max:18,message:'长度不能超过18个字符'},  // \rmbmod\tdagrp\tba\payeeamt    货物贸易收款金额 
],
tba_customsamt:[
        {type:'string',max:18,message:'长度不能超过18个字符'},  // \rmbmod\tdagrp\tba\customsamt    已报关收款金额 
],
tba_recordamt:[
        {type:'string',max:18,message:'长度不能超过18个字符'},  // \rmbmod\tdagrp\tba\recordamt    已备案收款金额 
],
tba_prepayeeamt:[
        {type:'string',max:18,message:'长度不能超过18个字符'},  // \rmbmod\tdagrp\tba\prepayeeamt    预收款金额 
],
tba_nogoodsamt:[
        {type:'string',max:22,message:'长度不能超过22个字符'},  // \rmbmod\tdagrp\tba\nogoodsamt    无货物报关的货物贸易-其他金额 
],
tba_accountperiod:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \rmbmod\tdagrp\tba\accountperiod    结账期 
],
tba_onshoreamt:[
        {type:'string',max:22,message:'长度不能超过22个字符'},  // \rmbmod\tdagrp\tba\onshoreamt    无货物报关的货物贸易-海关特殊监管区域及保税监管场所进出境物流货物金额 
],
tba_offshoreamt:[
        {type:'string',max:22,message:'长度不能超过22个字符'},  // \rmbmod\tdagrp\tba\offshoreamt    无货物报关的货物贸易-离岸转手买卖金额 
],
tba_prepayeescale:[
        {type:'string',max:4,message:'长度不能超过4个字符'},  // \rmbmod\tdagrp\tba\prepayeescale    预收款比例 
],
bas2_levyno:[
        {type:'string',max:24,message:'长度不能超过24个字符'},  // \rmbmod\tdagrp\bas\levyno    申报号码 
],
bas2_opertype:[
        {type:'string',max:1,message:'长度不能超过1个字符'},  // \rmbmod\tdagrp\bas\opertype    操作类型 
],
bas2_actiondesc:[
        {type:'string',max:128,message:'长度不能超过128个字符'},  // \rmbmod\tdagrp\bas\actiondesc    修改/删除原因或申报无误理由 
],
bas2_banktrano:[
        {type:'string',max:22,message:'长度不能超过22个字符'},  // \rmbmod\tdagrp\bas\banktrano    银行业务编号 
],
bas2_payeename:[
        {type:'string',max:128,message:'长度不能超过128个字符'},  // \rmbmod\tdagrp\bas\payeename    收款人名称 
],
bas2_payername:[
        {type:'string',max:200,message:'长度不能超过200个字符'},  // \rmbmod\tdagrp\bas\payername    付款人名称 
],
bas2_addword:[
        {type:'string',max:128,message:'长度不能超过128个字符'},  // \rmbmod\tdagrp\bas\addword    交易附言 
],
bas2_midtransbank:[
        {type:'string',max:11,message:'长度不能超过11个字符'},  // \rmbmod\tdagrp\bas\midtransbank    中间转汇行 
],
bas2_balancemode:[
        {type:'string',max:2,message:'长度不能超过2个字符'},  // \rmbmod\tdagrp\bas\balancemode    结算方式 
],
bas2_goodstrade:[
        {type:'string',max:1,message:'长度不能超过1个字符'},  // \rmbmod\tdagrp\bas\goodstrade    货物贸易 
],
bas2_swiftbic:[
        {type:'string',max:11,message:'长度不能超过11个字符'},  // \rmbmod\tdagrp\bas\swiftbic    付款行SWIFT BIC 
],
bas2_payeeorgcode:[
        {type:'string',max:18,message:'长度不能超过18个字符'},  // \rmbmod\tdagrp\bas\payeeorgcode    收款人组织机构代码或身份证件号码 
],
bas2_payeedate:[
        {type:'string',max:12,message:'长度不能超过12个字符'},  // \rmbmod\tdagrp\bas\payeedate    收款日期 
],
bas2_totalamt:[
        {type:'string',max:18,message:'长度不能超过18个字符'},  // \rmbmod\tdagrp\bas\totalamt    收款总金额 
],
bas2_payeecny:[
        {type:'string',max:3,message:'长度不能超过3个字符'},  // \rmbmod\tdagrp\bas\payeecny    收款币种 
],
bas2_payeeacct:[
        {type:'string',max:32,message:'长度不能超过32个字符'},  // \rmbmod\tdagrp\bas\payeeacct    收款人账号 
],
bas2_payeeattr:[
        {type:'string',max:1,message:'长度不能超过1个字符'},  // \rmbmod\tdagrp\bas\payeeattr    收款人属性 
],
bas2_bankorgcode:[
        {type:'string',max:12,message:'长度不能超过12个字符'},  // \rmbmod\tdagrp\bas\bankorgcode    银行机构代码 
],
bas2_bankorgname:[
        {type:'string',max:128,message:'长度不能超过128个字符'},  // \rmbmod\tdagrp\bas\bankorgname    银行机构名称 
],
bas2_orilevyno:[
        {type:'string',max:24,message:'长度不能超过24个字符'},  // \rmbmod\tdagrp\bas\orilevyno    原申报号码 
],
bas2_payeracct:[
        {type:'string',max:32,message:'长度不能超过32个字符'},  // \rmbmod\tdagrp\bas\payeracct    清算（结算）账户账号 
],
bas2_payeraccttype:[
        {type:'string',max:1,message:'长度不能超过1个字符'},  // \rmbmod\tdagrp\bas\payeraccttype    清算（结算）账户类型 
],
bas2_payercountrycode:[
        {type:'string',max:3,message:'长度不能超过3个字符'},  // \rmbmod\tdagrp\bas\payercountrycode    付款人常驻国家（地区）代码 
],
_codsel12_selbut1:[
        {type:'string',max:3,message:'长度不能超过3个字符'},  // \rmbmod\tdap\codsel1\selbut1    ? 
],
tdap_paydat:[
        {type:'string',max:12,message:'长度不能超过12个字符'},  // \rmbmod\tdap\paydat    收付汇日期 
],
tdap_servicetrade:[
        {type:'string',max:1,message:'长度不能超过1个字符'},  // \rmbmod\tdap\servicetrade    服务贸易 
],
tdap_directinvest:[
        {type:'string',max:1,message:'长度不能超过1个字符'},  // \rmbmod\tdap\directinvest    直接投资 
],
tdap_indirectinvest:[
        {type:'string',max:1,message:'长度不能超过1个字符'},  // \rmbmod\tdap\indirectinvest    证券投资 
],
tdap_otherinvest:[
        {type:'string',max:1,message:'长度不能超过1个字符'},  // \rmbmod\tdap\otherinvest    其他投资 
],
tdap_financing:[
        {type:'string',max:1,message:'长度不能超过1个字符'},  // \rmbmod\tdap\financing    跨境融资 
],
tdap_proceedstransfer:[
        {type:'string',max:1,message:'长度不能超过1个字符'},  // \rmbmod\tdap\proceedstransfer    收益与经济转移 
],
tdap_capitaltransfer:[
        {type:'string',max:1,message:'长度不能超过1个字符'},  // \rmbmod\tdap\capitaltransfer    资本转移 
],
}