import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'
//实体


@modelWrapper
class Dbaact {
    
    @observable
    acctyp=""           // \actgrp\rec\acctyp    账户类型 

    @observable
    bchkey=""           // \actgrp\rec\bchkey    开户机构 

    @observable
    cshflg=""           // \actgrp\rec\cshflg    钞汇标志 

    @observable
    cur=""           // \actgrp\rec\cur    币种 

    @observable
    dsp=""           // \actgrp\rec\dsp    结算编码 

    @observable
    extkey=""           // \actgrp\rec\extkey    账号 

    @observable
    nam=""           // \actgrp\rec\nam    户名 

    @observable
    ptyextkey=""           // \actgrp\rec\ptyextkey    归属客户号 

    @observable
    sta=""           // \actgrp\rec\sta    状态 

    @observable
    trmcod=""           // \actgrp\rec\trmcod    科目编码 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.acctyp=""
            this.bchkey=""
            this.cshflg=""
            this.cur=""
            this.dsp=""
            this.extkey=""
            this.nam=""
            this.ptyextkey=""
            this.sta=""
            this.trmcod=""
    }

} 


export default Dbaact