import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {validate} from '@/components/Common-Library'
//实体



class Dbdfee {
    
    @observable
    @validate
    acc=""           // \feegrp\rec\acc    业务代码（科目） 

    @observable
    @validate
    accacr=""           // \feegrp\rec\accacr    利息收入业务代码 

    @observable
    @validate
    accacr2=""           // \feegrp\rec\accacr2    利息调整业务代码 

    @observable
    @validate
    begdat=""           // \feegrp\rec\begdat    起始日期 

    @observable
    @validate
    calrul=""           // \feegrp\rec\calrul    计算规则 

    @observable
    @validate
    enddat=""           // \feegrp\rec\enddat    结束日期 

    @observable
    @validate
    feecod=""           // \feegrp\rec\feecod    费用代码 

    @observable
    @validate
    feenam=""           // \feegrp\rec\feenam    费用名称 

    @observable
    @validate
    maxamt=""           // \feegrp\rec\maxamt    最大金额 

    @observable
    @validate
    maxcur=""           // \feegrp\rec\maxcur    最大币种 

    @observable
    @validate
    minamt=""           // \feegrp\rec\minamt    最小金额 

    @observable
    @validate
    mincur=""           // \feegrp\rec\mincur    最小币种 

    @observable
    @validate
    permin=""           // \feegrp\rec\permin    期限 

    @observable
    @validate
    pertyp=""           // \feegrp\rec\pertyp    计算期限 

    @observable
    @validate
    ratcal=""           // \feegrp\rec\ratcal    费率 

    @observable
    @validate
    reltir=""           // \feegrp\rec\reltir    关联金额类型 

    @observable
    @validate
    reltrn=""           // \feegrp\rec\reltrn    费用用途 

    @observable
    @validate
    rol=""           // \feegrp\rec\rol    费用支付对象 

    @observable
    @validate
    staflg=""           // \feegrp\rec\staflg    费用分类 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.acc=""
            this.accacr=""
            this.accacr2=""
            this.begdat=""
            this.calrul=""
            this.enddat=""
            this.feecod=""
            this.feenam=""
            this.maxamt=""
            this.maxcur=""
            this.minamt=""
            this.mincur=""
            this.permin=""
            this.pertyp=""
            this.ratcal=""
            this.reltir=""
            this.reltrn=""
            this.rol=""
            this.staflg=""
    }

} 


export default Dbdfee