import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {validate} from '@/components/Common-Library'
//实体



class Dbexrt {
    
    @observable
    @validate
    buyrat=""           // \xrtgrp\rec\buyrat    买入价 

    @observable
    @validate
    cshbuyrat=""           // \xrtgrp\rec\cshbuyrat    钞买价 

    @observable
    @validate
    cshselrat=""           // \xrtgrp\rec\cshselrat    钞卖价 

    @observable
    @validate
    cur=""           // \xrtgrp\rec\cur    币种 

    @observable
    @validate
    midrat=""           // \xrtgrp\rec\midrat    中间价 

    @observable
    @validate
    selrat=""           // \xrtgrp\rec\selrat    卖出价 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.buyrat=""
            this.cshbuyrat=""
            this.cshselrat=""
            this.cur=""
            this.midrat=""
            this.selrat=""
    }

} 


export default Dbexrt