import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {validate} from '@/components/Common-Library'
//实体



class Dbiaut {
    
    @observable
    @validate
    acttyp=""           // \autgrp\rec\acttyp    账户类型 

    @observable
    @validate
    autspt=""           // \autgrp\rec\autspt    自动经办 

    @observable
    @validate
    auttrn=""           // \autgrp\rec\auttrn    自动复核 

    @observable
    @validate
    bchkey=""           // \autgrp\rec\bchkey    归属机构 

    @observable
    @validate
    channel=""           // \autgrp\rec\channel    渠道 

    @observable
    @validate
    cur=""           // \autgrp\rec\cur    币种 

    @observable
    @validate
    cussta=""           // \autgrp\rec\cussta    外管客户状态 

    @observable
    @validate
    custyp=""           // \autgrp\rec\custyp    对公/对私 

    @observable
    @validate
    frm=""           // \autgrp\rec\frm    交易码 

    @observable
    @validate
    frmnam=""           // \autgrp\rec\frmnam    交易名 

    @observable
    @validate
    keywrod=""           // \autgrp\rec\keywrod    关键字过滤 

    @observable
    @validate
    sptamt=""           // \autgrp\rec\sptamt    自动经办金额限制 

    @observable
    @validate
    sptcuslmt=""           // \autgrp\rec\sptcuslmt    经办客户限制 

    @observable
    @validate
    trnamt=""           // \autgrp\rec\trnamt    自动复核金额限制 

    @observable
    @validate
    trnusrlmt=""           // \autgrp\rec\trnusrlmt    自动复核柜员限制 

    @observable
    autgrp_audlst=[]           // \autgrp\audlst 

    @observable
    autp_usrlst=[]           // \autp\usrlst 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.acttyp=""
            this.autspt=""
            this.auttrn=""
            this.bchkey=""
            this.channel=""
            this.cur=""
            this.cussta=""
            this.custyp=""
            this.frm=""
            this.frmnam=""
            this.keywrod=""
            this.sptamt=""
            this.sptcuslmt=""
            this.trnamt=""
            this.trnusrlmt=""
            this.autgrp_audlst=[]
            this.autp_usrlst=[]
    }

} 


export default Dbiaut