import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Dblbch {
    
    @observable
    bchp_bchlst=[]           // \bchp\bchlst 

    @observable
    bchp_branch=""           // \bchp\branch    机构编码 

    @observable
    bchp_namcn=""           // \bchp\namcn    中文名称 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.bchp_bchlst=[]
            this.bchp_branch=""
            this.bchp_namcn=""
    }

} 


export default Dblbch