import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {validate} from '@/components/Common-Library'
//实体



class Dblfee {
    
    @observable
    @validate
    feep_begdat=""           // \feep\begdat    起始日期 

    @observable
    @validate
    feep_enddat=""           // \feep\enddat    结束日期 

    @observable
    @validate
    feep_feecod=""           // \feep\feecod    费用代码 

    @observable
    feep_feelst=[]           // \feep\feelst 

    @observable
    @validate
    feep_feenam=""           // \feep\feenam    费用名称 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.feep_begdat=""
            this.feep_enddat=""
            this.feep_feecod=""
            this.feep_feelst=[]
            this.feep_feenam=""
    }

} 


export default Dblfee