export default fieldSet = {
  accdat:[
      {type:'string'},  // \bmdgrp\rec\accdat    Acceptance Date 
],
doctypcod:[
      {type:'string',max:1,message:'长度不能超过1个字符'},  // \bmdgrp\rec\doctypcod    Document Type 
],
expmno:[
      {type:'string',max:60,message:'长度不能超过60个字符'},  // \bmdgrp\rec\expmno    快递单号 
],
inr:[
      {type:'string',max:8,message:'长度不能超过8个字符'},  // \bmdgrp\rec\inr    Internal Unique ID of Export L/C Document Set 
],
matdat:[
      {type:'string'},  // \bmdgrp\rec\matdat    Maturity Date 
],
nam:[
      {type:'string',max:40,message:'长度不能超过40个字符'},  // \bmdgrp\rec\nam    Externally Displayed Name to Identify the Contract 
],
opndat:[
      {type:'string'},  // \bmdgrp\rec\opndat    Date Opened/Issued 
],
ownref:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\rec\ownref    Own Reference BE Number 
],
avbby:[
      {type:'string',max:4,message:'长度不能超过4个字符'},  // \dedgrp\rec\avbby    信用证对付方式 
],
expdat:[
      {type:'string'},  // \dedgrp\rec\expdat    有效日期 
],
expplc:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\rec\expplc    有效地点 
],
inr1:[
      {type:'string',max:8,message:'长度不能超过8个字符'},  // \dedgrp\rec\inr    索引 
],
nam1:[
      {type:'string',max:40,message:'长度不能超过40个字符'},  // \dedgrp\rec\nam    概要描述 
],
opndat1:[
      {type:'string'},  // \dedgrp\rec\opndat    开立日期 
],
ownref1:[
      {type:'string',max:20,message:'长度不能超过20个字符'},  // \dedgrp\rec\ownref    业务编号 
],
ameflg:[
      {type:'string',max:1,message:'长度不能超过1个字符'},  // \ameflg    修改标志 
],
max_amt:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\cbs\max\amt    Balance 
],
max_cur:[
      {type:'string'},  // \bmdgrp\cbs\max\cur    Currency 
],
opn1_amt:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\cbs\opn1\amt    Balance 
],
opn1_cur:[
      {type:'string'},  // \bmdgrp\cbs\opn1\cur    Currency 
],
bmtmod_bmref:[
      {type:'string',max:8,message:'长度不能超过8个字符'},  // \bmtmod\bmref    单据编号 
],
bmtmod_clsflg:[
      {type:'string'},  // \bmtmod\clsflg    闭卷业务 
],
pts_namcn:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\adv\pts\namcn    客户中文名称 
],
pts1_namcn:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\apl\pts\namcn    客户中文名称 
],
pts2_namcn:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\ben\pts\namcn    客户中文名称 
],
max1_amt:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \dedgrp\cbs\max\amt    Balance 
],
max1_cur:[
      {type:'string'},  // \dedgrp\cbs\max\cur    Currency 
],
opn11_amt:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \dedgrp\cbs\opn1\amt    Balance 
],
opn11_cur:[
      {type:'string'},  // \dedgrp\cbs\opn1\cur    Currency 
],
pts3_namcn:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\iss\pts\namcn    客户中文名称 
],
detmod_clsflg:[
      {type:'string'},  // \detmod\clsflg    闭卷业务 
],
detmod_deref:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \detmod\deref    业务参考号 
],
selflg:[
      {type:'string',max:1,message:'长度不能超过1个字符'},  // \selflg    选择标志 
],
}