import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Diasel {
    
    @observable
    begdat=""           // \begdat    起始日 

    @observable
    dialst=[]           // \dialst 

    @observable
    enddat=""           // \enddat    截止日 

    @observable
    ownref=""           // \ownref    业务编号 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.begdat=""
            this.dialst=[]
            this.enddat=""
            this.ownref=""
    }

} 


export default Diasel