export default fieldSet = {
        basrat:[
            {type:'string',max:14,message:'长度不能超过14个字符'},  // \fpdgrp\rec\basrat    基准利率 
    ],
    clsdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \fpdgrp\rec\clsdat    福费廷闭卷日期 
    ],
    conno:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \fpdgrp\rec\conno    合同编号 
            { required: true, message: '必输项' }
    ],
    credat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \fpdgrp\rec\credat    创建日期 
    ],
    docmatdat:[
          //  {type:'string',max:12,message:'长度不能超过12个字符'},  // \fpdgrp\rec\docmatdat    承兑到期日 
    ],
    etyextkey:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \fpdgrp\rec\etyextkey    实体 
    ],
    expdat:[
           // {type:'string',max:12,message:'长度不能超过12个字符'},  // \fpdgrp\rec\expdat    福费廷到期日 
            { required: true, message: '必输项' }
    ],
    expdatlc:[
        //    {type:'string',max:12,message:'长度不能超过12个字符'},  // \fpdgrp\rec\expdatlc    信用证失效日期 
    ],
    ffttyp:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \fpdgrp\rec\ffttyp    福费廷类型 
            { required: true, message: '必输项' }
    ],
    funflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \fpdgrp\rec\funflg    风险参与 
    ],
    grcdys:[
           // {type:'string',max:4,message:'长度不能超过4个字符'},  // \fpdgrp\rec\grcdys    宽限期 
           { required: true, message: '必输项' }
    ],
    inr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \fpdgrp\rec\inr    索引 
    ],
    intday:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \fpdgrp\rec\intday    计息天数 
            { required: true, message: '必输项' }
    ],
    invno:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \fpdgrp\rec\invno    发票编号 
            { required: true, message: '必输项' }
    ],
    iratyp:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \fpdgrp\rec\iratyp    计息方式 
            { required: true, message: '必输项' }
    ],
    irtcod:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \fpdgrp\rec\irtcod    同业基准利率类型 
    ],
    nam:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \fpdgrp\rec\nam    描述 
    ],
    nomton:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \fpdgrp\rec\nomton    溢短- 
    ],
    nomtop:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \fpdgrp\rec\nomtop    溢短+ 
    ],
    opndat:[
          //  {type:'string',max:12,message:'长度不能超过12个字符'},  // \fpdgrp\rec\opndat    福费廷开立日期 
          { required: true, message: '必输项' }
    ],
    opndatlc:[
          //  {type:'string',max:12,message:'长度不能超过12个字符'},  // \fpdgrp\rec\opndatlc    信用证开立日期 
    ],
    ownbch:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \fpdgrp\rec\ownbch    归属机构 
            { required: true, message: '必输项' }
    ],
    ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \fpdgrp\rec\ownref    福费廷编号 
    ],
    ownusr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \fpdgrp\rec\ownusr    经办柜员 
    ],
    perint:[
            {type:'string',max:5,message:'长度不能超过5个字符'},  // \fpdgrp\rec\perint    融资比例 
    ],
    pntinr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \fpdgrp\rec\pntinr    关联业务索引 
    ],
    pntnam:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \fpdgrp\rec\pntnam    关联单据描述 
    ],
    pntref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \fpdgrp\rec\pntref    关联单据编号 
    ],
    pnttyp:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \fpdgrp\rec\pnttyp    关联业务类型 
    ],
    silflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \fpdgrp\rec\silflg    转卖标志 
    ],
    stacty:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \fpdgrp\rec\stacty    国别 
    ],
    usrbch:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \fpdgrp\rec\usrbch    经办机构 
    ],
    ver:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \fpdgrp\rec\ver    版本号 
    ],
    max_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \fpdgrp\cbs\max\amt    Balance 
            { required: true, message: '必输项' }
    ],
    max_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \fpdgrp\cbs\max\cur    Currency 
            { required: true, message: '必输项' }
    ],
    maxlca_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \fpdgrp\cbs\maxlca\amt    Balance 
    ],
    maxlca_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \fpdgrp\cbs\maxlca\cur    Currency 
    ],
    pts_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \fpdgrp\inv\pts\adrcn    中文地址 
            { required: true, message: '必输项' }
    ],
    pts_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \fpdgrp\inv\pts\extkey    客户编号 
            { required: true, message: '必输项' }
    ],
    pts_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \fpdgrp\inv\pts\namcn    客户中文名称 
            { required: true, message: '必输项' }
    ],
    pts1_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \fpdgrp\sel\pts\adrcn    中文地址 
            { required: true, message: '必输项' }
    ],
    pts1_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \fpdgrp\sel\pts\extkey    客户编号 
            { required: true, message: '必输项' }
    ],
    pts1_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \fpdgrp\sel\pts\namcn    客户中文名称 
            { required: true, message: '必输项' }
    ],
    liaccv_chgamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \liaall\liaccv\chgamt    变动金额 
    ],
    liaccv_concur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \liaall\liaccv\concur    业务结算币种 
    ],
    liaccv_cshpct:[
            {type:'string',max:5,message:'长度不能超过5个字符'},  // \liaall\liaccv\cshpct    保证金应收比例 
    ],
    liaccv_newamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \liaall\liaccv\newamt    业务金额 
    ],
    liaccv_pctresamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \liaall\liaccv\pctresamt    应收/支保证金 
    ],
    liaccv_relcshpct:[
            {type:'string',max:5,message:'长度不能超过5个字符'},  // \liaall\liaccv\relcshpct    保证金实收比例 
    ],
    liaccv_totcovamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \liaall\liaccv\totcovamt    保证金合计 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
    ],
    setmod_doccur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\doccur    document currency 
    ],
    setmod_feemac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\feemac    FEEMAC 
    ],
    setmod_setmac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\setmac    SETMAC 
    ],
    spt_inr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \sysmod\spt\inr    唯一编号 
    ],
    trndoc_cortyp:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \trnmod\trndoc\cortyp    Per Medium 
    ],
    trndoc_doccod:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
    ],
    trndoc_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
    ],
}