import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Quesel {
    
    @observable
    cla=""           // \cla    类型 

    @observable
    quelst=[]           // \quelst 

    @observable
    questa=""           // \questa    状态 

    @observable
    tardat=""           // \tardat    日期 

    @observable
    tfccod=""           // \tfccod    单证中心 

    @observable
    usg=""           // \usg    组别 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.cla=""
            this.quelst=[]
            this.questa=""
            this.tardat=""
            this.tfccod=""
            this.usg=""
    }

} 


export default Quesel