import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {validate} from '@/components/Common-Library'
//实体



class Sptsel {
    
    @observable
    mtabut_cortyp = ""           // \mtabut\cortyp    NewField 

    @observable
    mtabut_docinf = ""           // \mtabut\docinf    报文信息 

    @observable
    mtabut_msgtyp = ""           // \mtabut\msgtyp    Message Type Optional 

    @observable
    @validate
    sptp_datend=""           // \sptp\datend    日期结束 

    @observable
    @validate
    sptp_datsta=""           // \sptp\datsta    起始日期 

    @observable
    @validate
    sptp_frm=""           // \sptp\frm    交易 

    @observable
    sptp_lst=[]           // \sptp\lst 

    @observable
    @validate
    sptp_objtyp=""           // \sptp\objtyp    对象类型 

    @observable
    @validate
    sptp_sta=""           // \sptp\sta    类型 

    @observable
    @validate
    sptp_usr=""           // \sptp\usr    操作员 
	
	 @observable
    @validate
    sptp_objref=""           // \sptp\usr    操作员 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.mtabut_cortyp = ""
            this.mtabut_docinf = ""
            this.mtabut_msgtyp = ""
            this.sptp_datend=""
            this.sptp_datsta=""
            this.sptp_frm=""
            this.sptp_lst=[]
            this.sptp_objtyp=""
            this.sptp_sta=""
            this.sptp_usr=""
			this.sptp_objref=""
    }

} 


export default Sptsel