import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {validate} from '@/components/Common-Library'
//实体



class Office {
    
    @observable
    @validate
    inf_infmsg=""           // \offp\inf\infmsg     

    @observable
    offp_todolst=[]           // \offp\todolst 

    @observable
    @validate
    offp_todotyp=""           // \offp\todotyp    待办类型 

    @observable
    offp_xrtlst=[]           // \offp\xrtlst 

     @observable
    offp_iralst=[]           // \offp\iralst 
	
	 @observable
    @validate
    usr_dspnam=""           // \offp\todotyp    待办类型 
	
	 @observable
    @validate
    usr_nam=""           // \offp\todotyp    待办类型 
	
    @observable
    @validate
    bch_branch=""           // \offp\todotyp    待办类型 

	 @observable
    @validate
    bch_namcn=""           // \offp\todotyp    待办类型 

    @observable
    offp_selten=""           // \offp\selten 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.inf_infmsg=""
            this.offp_todolst=[]
            this.offp_todotyp=""
			this.usr_dspnam=""
			this.usr_nam=""
			this.bch_branch=""
			this.bch_namcn=""
    }

} 


export default Office