export default fieldSet = {
        docprbrol:[
            {type:'string'},  // \bmdgrp\rec\docprbrol    交单人类型 
    ],
    doctypcod:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \bmdgrp\rec\doctypcod    单据类型 
    ],
    matdat:[
            {type:'string',},  // \bmdgrp\rec\matdat    单据到期日 
    ],
    nam:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bmdgrp\rec\nam    描述 
    ],
    ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\rec\ownref    业务编号 
    ],
    prbfee:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\rec\prbfee    交单行费用 
    ],
    predat:[
            {type:'string'},  // \bmdgrp\rec\predat    寄单日期 
    ],
    rcvdat:[
            {type:'string'},  // \bmdgrp\rec\rcvdat    收单日期 
    ],
    rcvsta:[
            {type:'string',max:4,message:'长度不能超过4个字符'},{required:true,message:"必输项"}  // \bmdgrp\rec\rcvsta    到单确认 
    ],
    shpdat:[
            {type:'string'},  // \bmdgrp\rec\shpdat    装运日期 
    ],
    totamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \bmdgrp\rec\totamt    索偿金额 
    ],
    totcur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bmdgrp\rec\totcur    索偿币种 
    ],
    max_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\cbs\max\amt    Balance 
    ],
    max_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bmdgrp\cbs\max\cur    Currency 
    ],
    pts_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bmdgrp\fre\pts\adrcn    中文地址 
    ],
    pts_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\fre\pts\extkey    客户编号 
    ],
    pts_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bmdgrp\fre\pts\namcn    客户中文名称 
    ],
    pts1_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bmdgrp\prb\pts\adrcn    中文地址 
    ],
    pts1_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\prb\pts\extkey    客户编号 
    ],
    pts1_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bmdgrp\prb\pts\namcn    客户中文名称 
    ],
}