import { Datecompare } from '@/components/Common-Library'

export default fieldSet = {
        bllprc:[
            {type:'string',max:4,message:'长度不能超过4个字符'},{required:true,message:"必输项"}  // \bmdgrp\rec\bllprc    单据处理 
    ],
    docdis:[
            {type:'string',max:25,message:'长度不能超过25个字符'},  // \bmdgrp\rec\docdis    不符点 
    ],
    docref:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \bmdgrp\rec\docref    到单编号 
    ],
    predat:[
            {type:'string'},  // \bmdgrp\rec\predat    Order Date 
    ],
    ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\rec\ownref    Own Reference BE Number 
    ],
    rejdat:[
            {type:'string'},
            {validator(rule,value,callback,source,options){
              if(value){
                let res = Datecompare( source.rejdat, source.predat )
                if( res == -1 ){
                  callback("不得小于寄单日期")
                }else{
                  return true
                }
              }else{
                callback("必输项");
              }
            }}
            // \bmdgrp\rec\rejdat    拒付日期 
    ],
    rejrmk:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \bmdgrp\rec\rejrmk    拒付备注 
    ],
    rejsum:[
            {type:'string',max:20,message:'长度不能超过20个字符'},{required:true,message:"必输项"}  // \bmdgrp\rec\rejsum    拒付声明 
    ],
    totamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \bmdgrp\rec\totamt    Total Amount to be Paid(索偿金额?) 
    ],
    totcur:[
            {type:'string'},  // \bmdgrp\rec\totcur    Currency of Total Amount to be Paid 
    ],
    avbby:[
            {type:'string'},  // \dedgrp\rec\avbby    信用证对付方式 
    ],
    expdat:[
            {type:'string'},  // \dedgrp\rec\expdat    有效日期 
    ],
    expplc:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\rec\expplc    有效地点 
    ],
    inr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \dedgrp\rec\inr    索引 
    ],
    lcref:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \dedgrp\rec\lcref    信用证编号 
    ],
    opndat:[
            {type:'string'},  // \dedgrp\rec\opndat    开立日期 
    ],
    ownref1:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \dedgrp\rec\ownref    业务编号 
    ],
    pts_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\apl\pts\namcn    客户中文名称 
    ],
    pts1_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\ben\pts\namcn    客户中文名称 
    ],
    max_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \dedgrp\cbs\max\amt    Balance 
    ],
    max_cur:[
            {type:'string'},  // \dedgrp\cbs\max\cur    Currency 
    ],
    opn1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \dedgrp\cbs\opn1\amt    Balance 
    ],
    opn1_cur:[
            {type:'string'},  // \dedgrp\cbs\opn1\cur    Currency 
    ],
    pts2_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\iss\pts\namcn    客户中文名称 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
    ],
    setmod_doccur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\doccur    document currency 
    ],
    setmod_feemac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\feemac    FEEMAC 
    ],
    setmod_setmac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\setmac    SETMAC 
    ],
    trndoc_doccod:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
    ],
    trndoc_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
    ],
}