export default fieldSet = {
        accdat:[
            {type:'string'},  // \bmdgrp\rec\accdat    Acceptance Date 
    ],
    docref:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \bmdgrp\rec\docref    到单编号 
    ],
    docsta:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bmdgrp\rec\docsta    Document Set Status 
    ],
    doctypcod:[
            {type:'string'},  // \bmdgrp\rec\doctypcod    Document Type 
    ],
    matdat:[
            {type:'string'},  // \bmdgrp\rec\matdat    Maturity Date 
    ],
    negamt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\rec\negamt    议付金额 
    ],
    negdat:[
            {type:'string'},  // \bmdgrp\rec\negdat    议付日期 
    ],
    negref:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \bmdgrp\rec\negref    议付编号 
    ],
    opndat:[
            {type:'string'},  // \bmdgrp\rec\opndat    Date Opened/Issued 
    ],
    ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\rec\ownref    Own Reference BE Number 
    ],
    rcssta:[
            {type:'string'},  // \bmdgrp\rec\rcssta    追索权 
    ],
    totcur:[
            {type:'string'},  // \bmdgrp\rec\totcur    Currency of Total Amount to be Paid 
    ],
    max_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\cbs\max\amt    Balance 
    ],
    max_cur:[
            {type:'string'},  // \bmdgrp\cbs\max\cur    Currency 
    ],
    opn1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\cbs\opn1\amt    Balance 
    ],
    opn1_cur:[
            {type:'string'},  // \bmdgrp\cbs\opn1\cur    Currency 
    ],
    pts_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bmdgrp\fre\pts\adrcn    中文地址 
    ],
    pts_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\fre\pts\extkey    客户编号 
    ],
    pts_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bmdgrp\fre\pts\namcn    客户中文名称 
    ],
    pts1_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\adv\pts\namcn    客户中文名称 
    ],
    pts2_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\apl\pts\namcn    客户中文名称 
    ],
    pts3_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\ben\pts\namcn    客户中文名称 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
    ],
    setmod_doccur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\doccur    document currency 
    ],
    setmod_feemac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\feemac    FEEMAC 
    ],
    setmod_setmac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\setmac    SETMAC 
    ],
    trndoc_doccod:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
    ],
    trndoc_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
    ],
}