import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Bmtneg {
    
    @observable
    accdat=""           // \bmdgrp\rec\accdat    承兑日期 

    @observable
    accrmk=""           // \bmdgrp\rec\accrmk    承兑备注 

    @observable
    acpnowflg=""           // \bmdgrp\rec\acpnowflg    承兑标识 

    @observable
    advdat=""           // \bmdgrp\rec\advdat    通知日期 

    @observable
    advdocflg=""           // \bmdgrp\rec\advdocflg    退单标识 

    @observable
    rtntranum=""           // \bmdgrp\rec\rtntranum    退单快递单号 

    @observable
    bllprc=""           // \bmdgrp\rec\bllprc    单据处理 

    @observable
    clsdat=""           // \bmdgrp\rec\clsdat    闭卷日期 

    @observable
    credat=""           // \bmdgrp\rec\credat    创建日期 

    @observable
    docdis=""           // \bmdgrp\rec\docdis    不符点 

    @observable
    docprbrol=""           // \bmdgrp\rec\docprbrol    交单人类型 

    @observable
    docref=""           // \bmdgrp\rec\docref    到单编号 

    @observable
    docsta=""           // \bmdgrp\rec\docsta    单据状态 

    @observable
    doctypcod=""           // \bmdgrp\rec\doctypcod    单据类型 

    @observable
    etyextkey=""           // \bmdgrp\rec\etyextkey    实体 

    @observable
    expcmp=""           // \bmdgrp\rec\expcmp    快递公司 

    @observable
    expmno=""           // \bmdgrp\rec\expmno    快递单号 

    @observable
    frepayflg=""           // \bmdgrp\rec\frepayflg    无偿放单标识 

    @observable
    inr=""           // \bmdgrp\rec\inr    索引 

    @observable
    invdtl=""           // \bmdgrp\rec\invdtl    发票信息 

    @observable
    matdat=""           // \bmdgrp\rec\matdat    单据到期日 

    @observable
    nam=""           // \bmdgrp\rec\nam    描述 

    @observable
    negamt=""           // \bmdgrp\rec\negamt    议付金额 

    @observable
    negdat=""           // \bmdgrp\rec\negdat    议付日期 

    @observable
    negflg=""           // \bmdgrp\rec\negflg    议付标志 

    @observable
    negref=""           // \bmdgrp\rec\negref    议付编号 

    @observable
    opndat=""           // \bmdgrp\rec\opndat    开立日期 

    @observable
    ownbch=""           // \bmdgrp\rec\ownbch    所属机构 

    @observable
    ownref=""           // \bmdgrp\rec\ownref    业务编号 

    @observable
    ownusr=""           // \bmdgrp\rec\ownusr    经办柜员 

    @observable
    payrol=""           // \bmdgrp\rec\payrol    付款人 

    @observable
    pntinr=""           // \bmdgrp\rec\pntinr    关联业务索引 

    @observable
    pnttyp=""           // \bmdgrp\rec\pnttyp    关联业务类型 

    @observable
    prbfee=""           // \bmdgrp\rec\prbfee    交单行费用 

    @observable
    predat=""           // \bmdgrp\rec\predat    寄单日期 

    @observable
    prsdoc=""           // \bmdgrp\rec\prsdoc    单据明细 

    @observable
    rcssta=""           // \bmdgrp\rec\rcssta    追索权 

    @observable
    rcvdat=""           // \bmdgrp\rec\rcvdat    收单日期 

    @observable
    rejdat=""           // \bmdgrp\rec\rejdat    拒付日期 

    @observable
    rejrmk=""           // \bmdgrp\rec\rejrmk    拒付备注 

    @observable
    rejsum=""           // \bmdgrp\rec\rejsum    拒付声明 

    @observable
    remark=""           // \bmdgrp\rec\remark    备注 

    @observable
    rtndat=""           // \bmdgrp\rec\rtndat    退单日期 

    @observable
    saldocflg=""           // \bmdgrp\rec\saldocflg    转卖单据 

    @observable
    shpdat=""           // \bmdgrp\rec\shpdat    装运日期 

    @observable
    totamt=""           // \bmdgrp\rec\totamt    索偿金额 

    @observable
    totcur=""           // \bmdgrp\rec\totcur    索偿币种 

    @observable
    totdat=""           // \bmdgrp\rec\totdat    索偿日期 

    @observable
    tranbr=""           // \bmdgrp\rec\tranbr    催收次数 

    @observable
    usrbch=""           // \bmdgrp\rec\usrbch    经办机构 

    @observable
    ver=""           // \bmdgrp\rec\ver    版本号 

    @observable
    lcref=""           // \dedgrp\rec\lcref    信用证编号 

    @observable
    nam1=""           // \dedgrp\rec\nam    概要描述 

    @observable
    ownref1=""           // \dedgrp\rec\ownref    业务编号 

    @observable
    pts_extkey=""           // \bmdgrp\a2b\pts\extkey    客户编号 

    @observable
    pts1_extkey=""           // \bmdgrp\acb\pts\extkey    客户编号 

    @observable
    pts2_extkey=""           // \bmdgrp\adv\pts\extkey    客户编号 

    @observable
    pts3_extkey=""           // \bmdgrp\apl\pts\extkey    客户编号 

    @observable
    pts4_extkey=""           // \bmdgrp\avb\pts\extkey    客户编号 

    @observable
    pts5_extkey=""           // \bmdgrp\beb\pts\extkey    客户编号 

    @observable
    pts6_extkey=""           // \bmdgrp\ben\pts\extkey    客户编号 

    @observable
    max_amt=""           // \bmdgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \bmdgrp\cbs\max\cur    Currency 

    @observable
    opn1_amt=""           // \bmdgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \bmdgrp\cbs\opn1\cur    Currency 

    @observable
    pts7_extkey=""           // \bmdgrp\con\pts\extkey    客户编号 

    @observable
    pts8_extkey=""           // \bmdgrp\doc\pts\extkey    客户编号 

    @observable
    pts9_adrcn=""           // \bmdgrp\fre\pts\adrcn    中文地址 

    @observable
    pts9_extkey=""           // \bmdgrp\fre\pts\extkey    客户编号 

    @observable
    pts9_namcn=""           // \bmdgrp\fre\pts\namcn    客户中文名称 

    @observable
    pts10_extkey=""           // \bmdgrp\iss\pts\extkey    客户编号 

    @observable
    pts11_extkey=""           // \bmdgrp\oth\pts\extkey    客户编号 

    @observable
    pts12_extkey=""           // \bmdgrp\prb\pts\extkey    客户编号 

    @observable
    pts13_extkey=""           // \bmdgrp\rmb\pts\extkey    客户编号 

    @observable
    pts14_namcn=""           // \dedgrp\apl\pts\namcn    客户中文名称 

    @observable
    pts15_namcn=""           // \dedgrp\ben\pts\namcn    客户中文名称 

    @observable
    pts16_namcn=""           // \dedgrp\iss\pts\namcn    客户中文名称 

    @observable
    liaall_liaallg=[]           // \liaall\liaallg 

    @observable
    liaccv_chgamt=""           // \liaall\liaccv\chgamt    变动金额 

    @observable
    liaccv_concur=""           // \liaall\liaccv\concur    业务结算币种 

    @observable
    liaccv_cshpct=""           // \liaall\liaccv\cshpct    保证金应收比例 

    @observable
    liaccv_liaccvg=[]           // \liaall\liaccv\liaccvg 

    @observable
    liaccv_newamt=""           // \liaall\liaccv\newamt    业务金额 

    @observable
    liaccv_pctresamt=""           // \liaall\liaccv\pctresamt    应收/支保证金 

    @observable
    liaccv_relcshpct=""           // \liaall\liaccv\relcshpct    保证金实收比例 

    @observable
    liaccv_totcovamt=""           // \liaall\liaccv\totcovamt    保证金合计 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.rtntranum=""
            this.accdat=""
            this.accrmk=""
            this.acpnowflg=""
            this.advdat=""
            this.advdocflg=""
            this.bllprc=""
            this.clsdat=""
            this.credat=""
            this.docdis=""
            this.docprbrol=""
            this.docref=""
            this.docsta=""
            this.doctypcod=""
            this.etyextkey=""
            this.expcmp=""
            this.expmno=""
            this.frepayflg=""
            this.inr=""
            this.invdtl=""
            this.matdat=""
            this.nam=""
            this.negamt=""
            this.negdat=""
            this.negflg=""
            this.negref=""
            this.opndat=""
            this.ownbch=""
            this.ownref=""
            this.ownusr=""
            this.payrol=""
            this.pntinr=""
            this.pnttyp=""
            this.prbfee=""
            this.predat=""
            this.prsdoc=""
            this.rcssta=""
            this.rcvdat=""
            this.rejdat=""
            this.rejrmk=""
            this.rejsum=""
            this.remark=""
            this.rtndat=""
            this.saldocflg=""
            this.shpdat=""
            this.totamt=""
            this.totcur=""
            this.totdat=""
            this.tranbr=""
            this.usrbch=""
            this.ver=""
            this.lcref=""
            this.nam1=""
            this.ownref1=""
            this.pts_extkey=""
            this.pts1_extkey=""
            this.pts2_extkey=""
            this.pts3_extkey=""
            this.pts4_extkey=""
            this.pts5_extkey=""
            this.pts6_extkey=""
            this.max_amt=""
            this.max_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.pts7_extkey=""
            this.pts8_extkey=""
            this.pts9_adrcn=""
            this.pts9_extkey=""
            this.pts9_namcn=""
            this.pts10_extkey=""
            this.pts11_extkey=""
            this.pts12_extkey=""
            this.pts13_extkey=""
            this.pts14_namcn=""
            this.pts15_namcn=""
            this.pts16_namcn=""
            this.liaall_liaallg=[]
            this.liaccv_chgamt=""
            this.liaccv_concur=""
            this.liaccv_cshpct=""
            this.liaccv_liaccvg=[]
            this.liaccv_newamt=""
            this.liaccv_pctresamt=""
            this.liaccv_relcshpct=""
            this.liaccv_totcovamt=""
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.setmod_feemac=""
            this.glemod_glelst=[]
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_setmac=""
            this.spt_inr=""
            this.trndoc_cortyp=""
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
    }

} 


export default Bmtneg