import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Bmtrfc {
    
    @observable
    accdat=""           // \bmdgrp\rec\accdat    承兑日期 

    @observable
    accrmk=""           // \bmdgrp\rec\accrmk    承兑备注 

    @observable
    acpnowflg=""           // \bmdgrp\rec\acpnowflg    承兑标识 

    @observable
    advdat=""           // \bmdgrp\rec\advdat    通知日期 

    @observable
    advdocflg=""           // \bmdgrp\rec\advdocflg    退单标识 

    @observable
    bllprc=""           // \bmdgrp\rec\bllprc    单据处理 

    @observable
    clsdat=""           // \bmdgrp\rec\clsdat    闭卷日期 

    @observable
    credat=""           // \bmdgrp\rec\credat    创建日期 

    @observable
    docdis=""           // \bmdgrp\rec\docdis    不符点 

    @observable
    docprbrol=""           // \bmdgrp\rec\docprbrol    交单人类型 

    @observable
    docref=""           // \bmdgrp\rec\docref    到单编号 

    @observable
    docsta=""           // \bmdgrp\rec\docsta    单据状态 

    @observable
    doctypcod=""           // \bmdgrp\rec\doctypcod    单据类型 

    @observable
    etyextkey=""           // \bmdgrp\rec\etyextkey    实体 

    @observable
    expcmp=""           // \bmdgrp\rec\expcmp    快递公司 

    @observable
    expmno=""           // \bmdgrp\rec\expmno    快递单号 

    @observable
    frepayflg=""           // \bmdgrp\rec\frepayflg    无偿放单标识 

    @observable
    inr=""           // \bmdgrp\rec\inr    索引 

    @observable
    invdtl=""           // \bmdgrp\rec\invdtl    发票信息 

    @observable
    matdat=""           // \bmdgrp\rec\matdat    单据到期日 

    @observable
    nam=""           // \bmdgrp\rec\nam    描述 

    @observable
    negamt=""           // \bmdgrp\rec\negamt    议付金额 

    @observable
    negdat=""           // \bmdgrp\rec\negdat    议付日期 

    @observable
    negflg=""           // \bmdgrp\rec\negflg    议付标志 

    @observable
    negref=""           // \bmdgrp\rec\negref    议付编号 

    @observable
    opndat=""           // \bmdgrp\rec\opndat    开立日期 

    @observable
    ownbch=""           // \bmdgrp\rec\ownbch    所属机构 

    @observable
    ownref=""           // \bmdgrp\rec\ownref    业务编号 

    @observable
    ownusr=""           // \bmdgrp\rec\ownusr    经办柜员 

    @observable
    payinf=""           // \bmdgrp\rec\payinf    远期付款指示 

    @observable
    payrol=""           // \bmdgrp\rec\payrol    付款人 

    @observable
    pntinr=""           // \bmdgrp\rec\pntinr    关联业务索引 

    @observable
    pnttyp=""           // \bmdgrp\rec\pnttyp    关联业务类型 

    @observable
    prbfee=""           // \bmdgrp\rec\prbfee    交单行费用 

    @observable
    predat=""           // \bmdgrp\rec\predat    寄单日期 

    @observable
    prsdoc=""           // \bmdgrp\rec\prsdoc    单据明细 

    @observable
    rcssta=""           // \bmdgrp\rec\rcssta    追索权 

    @observable
    rcvdat=""           // \bmdgrp\rec\rcvdat    收单日期 

    @observable
    rejdat=""           // \bmdgrp\rec\rejdat    拒付日期 

    @observable
    rejrmk=""           // \bmdgrp\rec\rejrmk    拒付备注 

    @observable
    rejsum=""           // \bmdgrp\rec\rejsum    拒付声明 

    @observable
    remark=""           // \bmdgrp\rec\remark    备注 

    @observable
    rtndat=""           // \bmdgrp\rec\rtndat    退单日期 

    @observable
    saldocflg=""           // \bmdgrp\rec\saldocflg    转卖单据 

    @observable
    shpdat=""           // \bmdgrp\rec\shpdat    装运日期 

    @observable
    tenmaxday=""           // \bmdgrp\rec\tenmaxday    期限 

    @observable
    totamt=""           // \bmdgrp\rec\totamt    索偿金额 

    @observable
    totcur=""           // \bmdgrp\rec\totcur    索偿币种 

    @observable
    totdat=""           // \bmdgrp\rec\totdat    索偿日期 

    @observable
    tranbr=""           // \bmdgrp\rec\tranbr    催收次数 

    @observable
    usrbch=""           // \bmdgrp\rec\usrbch    经办机构 

    @observable
    ver=""           // \bmdgrp\rec\ver    版本号 

    @observable
    accusr=""           // \dedgrp\rec\accusr    客户经理 

    @observable
    adlcnd=""           // \dedgrp\rec\adlcnd    附加条款 

    @observable
    adlcndame=""           // \dedgrp\rec\adlcndame    附加条款历史修改记录 

    @observable
    amedat=""           // \dedgrp\rec\amedat    最后修改日期 

    @observable
    amenbr=""           // \dedgrp\rec\amenbr    修改次数 

    @observable
    rtntranum=""           // \bmdgrp\rec\rtntranum    退单快递单号 

    @observable
    avbby=""           // \dedgrp\rec\avbby    信用证对付方式 

    @observable
    canrsn=""           // \dedgrp\rec\canrsn    注销闭卷原因 

    @observable
    cantyp=""           // \dedgrp\rec\cantyp    注销闭卷原因 

    @observable
    cfmflg=""           // \dedgrp\rec\cfmflg    保兑标志 

    @observable
    clsdat1=""           // \dedgrp\rec\clsdat    闭卷日期 

    @observable
    clsinf=""           // \dedgrp\rec\clsinf    闭卷原因 

    @observable
    conamt=""           // \dedgrp\rec\conamt    合同金额 

    @observable
    concur=""           // \dedgrp\rec\concur    合同币种 

    @observable
    conno=""           // \dedgrp\rec\conno    合同编号 

    @observable
    credat1=""           // \dedgrp\rec\credat    创建日期 

    @observable
    defdet=""           // \dedgrp\rec\defdet    远期付款指示 

    @observable
    etyextkey1=""           // \dedgrp\rec\etyextkey    实体 

    @observable
    expdat=""           // \dedgrp\rec\expdat    有效日期 

    @observable
    expplc=""           // \dedgrp\rec\expplc    有效地点 

    @observable
    inr1=""           // \dedgrp\rec\inr    索引 

    @observable
    isstyp=""           // \dedgrp\rec\isstyp    开证类型 

    @observable
    lcrdoc=""           // \dedgrp\rec\lcrdoc    单据要求 

    @observable
    lcrdocame=""           // \dedgrp\rec\lcrdocame    单据要求历史修改记录 

    @observable
    lcref=""           // \dedgrp\rec\lcref    信用证编号 

    @observable
    lcrgod=""           // \dedgrp\rec\lcrgod    货物服务描述 

    @observable
    lcrgodame=""           // \dedgrp\rec\lcrgodame    货物/服务描述修改记录 

    @observable
    nam1=""           // \dedgrp\rec\nam    概要描述 

    @observable
    negflg1=""           // \dedgrp\rec\negflg    是否可议付 

    @observable
    nomspc=""           // \dedgrp\rec\nomspc    最高金额限额 

    @observable
    nomton=""           // \dedgrp\rec\nomton    下浮 

    @observable
    nomtop=""           // \dedgrp\rec\nomtop    上浮 

    @observable
    opndat1=""           // \dedgrp\rec\opndat    开立日期 

    @observable
    ownbch1=""           // \dedgrp\rec\ownbch    归属机构 

    @observable
    ownref1=""           // \dedgrp\rec\ownref    业务编号 

    @observable
    ownusr1=""           // \dedgrp\rec\ownusr    创建柜员 

    @observable
    preadvdat=""           // \dedgrp\rec\preadvdat    预开立日期 

    @observable
    preper=""           // \dedgrp\rec\preper    交单期限 

    @observable
    rejameflg=""           // \dedgrp\rec\rejameflg    拒绝修改标识 

    @observable
    rejamenbr=""           // \dedgrp\rec\rejamenbr    拒绝接受修改次数 

    @observable
    rejamersn=""           // \dedgrp\rec\rejamersn    拒绝修改理由 

    @observable
    rejflg=""           // \dedgrp\rec\rejflg    拒绝标识 

    @observable
    rejrsn=""           // \dedgrp\rec\rejrsn    拒绝通知理由 

    @observable
    shpfro=""           // \dedgrp\rec\shpfro    货物装运地(港) 

    @observable
    shppar=""           // \dedgrp\rec\shppar    分批装运货物/分次提供服务 

    @observable
    shpper=""           // \dedgrp\rec\shpper    分期装运/提供服务 

    @observable
    shppro=""           // \dedgrp\rec\shppro    服务提供地点 

    @observable
    shpto=""           // \dedgrp\rec\shpto    货物目的地、交货地（港） 

    @observable
    shptrs=""           // \dedgrp\rec\shptrs    转运 

    @observable
    tenmaxday1=""           // \dedgrp\rec\tenmaxday    期限 

    @observable
    traflg=""           // \dedgrp\rec\traflg    是否可转让 

    @observable
    tratyp=""           // \dedgrp\rec\tratyp    货物运输或交货方式/服务方式 

    @observable
    trdapt=""           // \dedgrp\rec\trdapt    分期装运/提供服务约定 

    @observable
    trdtyp=""           // \dedgrp\rec\trdtyp    贸易方式 

    @observable
    usrbch1=""           // \dedgrp\rec\usrbch    经办机构 

    @observable
    utlnbr=""           // \dedgrp\rec\utlnbr    收单次数 

    @observable
    ver1=""           // \dedgrp\rec\ver    版本号 

    @observable
    pts_extkey=""           // \bmdgrp\a2b\pts\extkey    客户编号 

    @observable
    pts1_extkey=""           // \bmdgrp\acb\pts\extkey    客户编号 

    @observable
    pts2_extkey=""           // \bmdgrp\adv\pts\extkey    客户编号 

    @observable
    pts3_extkey=""           // \bmdgrp\apl\pts\extkey    客户编号 

    @observable
    pts4_extkey=""           // \bmdgrp\avb\pts\extkey    客户编号 

    @observable
    pts5_extkey=""           // \bmdgrp\beb\pts\extkey    客户编号 

    @observable
    pts6_extkey=""           // \bmdgrp\ben\pts\extkey    客户编号 

    @observable
    max_amt=""           // \bmdgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \bmdgrp\cbs\max\cur    Currency 

    @observable
    max2_amt=""           // \oldbmdgrp\cbs\max\amt    Balance 

    @observable
    pts7_extkey=""           // \bmdgrp\con\pts\extkey    客户编号 

    @observable
    pts8_extkey=""           // \bmdgrp\doc\pts\extkey    客户编号 

    @observable
    pts9_adrcn=""           // \bmdgrp\fre\pts\adrcn    中文地址 

    @observable
    pts9_extkey=""           // \bmdgrp\fre\pts\extkey    客户编号 

    @observable
    pts9_namcn=""           // \bmdgrp\fre\pts\namcn    客户中文名称 

    @observable
    pts10_extkey=""           // \bmdgrp\iss\pts\extkey    客户编号 

    @observable
    pts11_adrcn=""           // \bmdgrp\oth\pts\adrcn    中文地址 

    @observable
    pts11_extkey=""           // \bmdgrp\oth\pts\extkey    客户编号 

    @observable
    pts11_namcn=""           // \bmdgrp\oth\pts\namcn    客户中文名称 

    @observable
    pts12_adrcn=""           // \bmdgrp\prb\pts\adrcn    中文地址 

    @observable
    pts12_extkey=""           // \bmdgrp\prb\pts\extkey    客户编号 

    @observable
    pts12_namcn=""           // \bmdgrp\prb\pts\namcn    客户中文名称 

    @observable
    pts13_extkey=""           // \bmdgrp\rmb\pts\extkey    客户编号 

    @observable
    pts14_namcn=""           // \dedgrp\apl\pts\namcn    客户中文名称 

    @observable
    pts15_namcn=""           // \dedgrp\ben\pts\namcn    客户中文名称 

    @observable
    max1_amt=""           // \dedgrp\cbs\max\amt    Balance 

    @observable
    max1_cur=""           // \dedgrp\cbs\max\cur    Currency 

    @observable
    opn1_amt=""           // \dedgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \dedgrp\cbs\opn1\cur    Currency 

    @observable
    pts16_extkey=""           // \dedgrp\iss\pts\extkey    客户编号 

    @observable
    pts16_namcn=""           // \dedgrp\iss\pts\namcn    客户中文名称 

    @observable
    liaall_liaallg=[]           // \liaall\liaallg 

    @observable
    liaccv_chgamt=""           // \liaall\liaccv\chgamt    变动金额 

    @observable
    liaccv_concur=""           // \liaall\liaccv\concur    业务结算币种 

    @observable
    liaccv_cshpct=""           // \liaall\liaccv\cshpct    保证金应收比例 

    @observable
    liaccv_liaccvg=[]           // \liaall\liaccv\liaccvg 

    @observable
    liaccv_newamt=""           // \liaall\liaccv\newamt    业务金额 

    @observable
    liaccv_pctresamt=""           // \liaall\liaccv\pctresamt    应收/支保证金 

    @observable
    liaccv_relcshpct=""           // \liaall\liaccv\relcshpct    保证金实收比例 

    @observable
    liaccv_totcovamt=""           // \liaall\liaccv\totcovamt    保证金合计 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.rtntranum=""
            this.accdat=""
            this.accrmk=""
            this.acpnowflg=""
            this.advdat=""
            this.advdocflg=""
            this.bllprc=""
            this.clsdat=""
            this.credat=""
            this.docdis=""
            this.docprbrol=""
            this.docref=""
            this.docsta=""
            this.doctypcod=""
            this.etyextkey=""
            this.expcmp=""
            this.expmno=""
            this.frepayflg=""
            this.inr=""
            this.invdtl=""
            this.matdat=""
            this.nam=""
            this.negamt=""
            this.negdat=""
            this.negflg=""
            this.negref=""
            this.opndat=""
            this.ownbch=""
            this.ownref=""
            this.ownusr=""
            this.payinf=""
            this.payrol=""
            this.pntinr=""
            this.pnttyp=""
            this.prbfee=""
            this.predat=""
            this.prsdoc=""
            this.rcssta=""
            this.rcvdat=""
            this.rejdat=""
            this.rejrmk=""
            this.rejsum=""
            this.remark=""
            this.rtndat=""
            this.saldocflg=""
            this.shpdat=""
            this.tenmaxday=""
            this.totamt=""
            this.totcur=""
            this.totdat=""
            this.tranbr=""
            this.usrbch=""
            this.ver=""
            this.accusr=""
            this.adlcnd=""
            this.adlcndame=""
            this.amedat=""
            this.amenbr=""
            // this.amersn=""
            this.avbby=""
            this.canrsn=""
            this.cantyp=""
            this.cfmflg=""
            this.clsdat1=""
            this.clsinf=""
            this.conamt=""
            this.concur=""
            this.conno=""
            this.credat1=""
            this.defdet=""
            this.etyextkey1=""
            this.expdat=""
            this.expplc=""
            this.inr1=""
            this.isstyp=""
            this.lcrdoc=""
            this.lcrdocame=""
            this.lcref=""
            this.lcrgod=""
            this.lcrgodame=""
            this.nam1=""
            this.negflg1=""
            this.nomspc=""
            this.nomton=""
            this.nomtop=""
            this.opndat1=""
            this.ownbch1=""
            this.ownref1=""
            this.ownusr1=""
            this.preadvdat=""
            this.preper=""
            this.rejameflg=""
            this.rejamenbr=""
            this.rejamersn=""
            this.rejflg=""
            this.rejrsn=""
            this.shpfro=""
            this.shppar=""
            this.shpper=""
            this.shppro=""
            this.shpto=""
            this.shptrs=""
            this.tenmaxday1=""
            this.traflg=""
            this.tratyp=""
            this.trdapt=""
            this.trdtyp=""
            this.usrbch1=""
            this.utlnbr=""
            this.ver1=""
            this.pts_extkey=""
            this.pts1_extkey=""
            this.pts2_extkey=""
            this.pts3_extkey=""
            this.pts4_extkey=""
            this.pts5_extkey=""
            this.pts6_extkey=""
            this.max_amt=""
            this.max_cur=""
            this.max2_amt="" 
            this.pts7_extkey=""
            this.pts8_extkey=""
            this.pts9_adrcn=""
            this.pts9_extkey=""
            this.pts9_namcn=""
            this.pts10_extkey=""
            this.pts11_adrcn=""
            this.pts11_extkey=""
            this.pts11_namcn=""
            this.pts12_adrcn=""
            this.pts12_extkey=""
            this.pts12_namcn=""
            this.pts13_extkey=""
            this.pts14_namcn=""
            this.pts15_namcn=""
            this.max1_amt=""
            this.max1_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.pts16_extkey=""
            this.pts16_namcn=""
            this.liaall_liaallg=[]
            this.liaccv_chgamt=""
            this.liaccv_concur=""
            this.liaccv_cshpct=""
            this.liaccv_liaccvg=[]
            this.liaccv_newamt=""
            this.liaccv_pctresamt=""
            this.liaccv_relcshpct=""
            this.liaccv_totcovamt=""
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.setmod_feemac=""
            this.glemod_glelst=[]
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_setmac=""
            this.spt_inr=""
            this.trndoc_cortyp=""
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
    }

} 


export default Bmtrfc