import { Datecompare } from '@/components/Common-Library'

export default fieldSet = {
        accusr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bpdgrp\rec\accusr    客户经理 
    ],
    basrat:[
            {type:'string',max:14,message:'长度不能超过14个字符'},  // \bpdgrp\rec\basrat    融资利率 
    ],
    clsdat:[
            {type:'string'},  // \bpdgrp\rec\clsdat    闭卷日期 
    ],
    conno:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bpdgrp\rec\conno    合同编号 
    ],
    credat:[
            {type:'string'},  // \bpdgrp\rec\credat    创建日期 
    ],
    etyextkey:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bpdgrp\rec\etyextkey    实体 
    ],
    expdat:[
            {type:'string'},  // \bpdgrp\rec\expdat    融资到期日 
    ],
    fintyp:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bpdgrp\rec\fintyp    贸易融资类型 
    ],
    graday:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \bpdgrp\rec\graday    宽限期 
    ],
    inr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bpdgrp\rec\inr    索引 
    ],
    intday:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \bpdgrp\rec\intday    计息天数 
    ],
    invno:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bpdgrp\rec\invno    发票号 
    ],
    iratyp:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bpdgrp\rec\iratyp    计息方式 
    ],
    matdat:[
            {type:'string'},  // \bpdgrp\rec\matdat    单据到期日 
    ],
    nam:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bpdgrp\rec\nam    概要描述 
    ],
    opndat:[
            {type:'string'},  // \bpdgrp\rec\opndat    起息日 
    ],
    ownbch:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bpdgrp\rec\ownbch    归属机构 
    ],
    ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bpdgrp\rec\ownref    融资业务编号 
    ],
    ownusr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bpdgrp\rec\ownusr    创建柜员 
    ],
    pctfin:[
            {type:'string',max:5,message:'长度不能超过5个字符'},  // \bpdgrp\rec\pctfin    融资比例 
    ],
    pntinr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bpdgrp\rec\pntinr    单据索引 
    ],
    pntnam:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bpdgrp\rec\pntnam    单据描述 
    ],
    pntref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bpdgrp\rec\pntref    单据编号 
    ],
    pnttyp:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bpdgrp\rec\pnttyp    关联类型 
    ],
    usrbch:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \bpdgrp\rec\usrbch    经办机构 
    ],
    ver:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \bpdgrp\rec\ver    版本号 
    ],
    max_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bpdgrp\cbs\max\amt    Balance 
    ],
    max_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bpdgrp\cbs\max\cur    Currency 
    ],
    opn1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bpdgrp\cbs\opn1\amt    Balance 
    ],
    opn1_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bpdgrp\cbs\opn1\cur    Currency 
    ],
    pts_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bpdgrp\fia\pts\adrcn    中文地址 
    ],
    pts_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bpdgrp\fia\pts\extkey    客户编号 
    ],
    pts_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bpdgrp\fia\pts\namcn    客户中文名称 
    ],
    newexpdat:[
            {type:'string'},
            {validator(rule,value,callback,source,options){
              if(value){
                let res = Datecompare( source.expdat, source.newexpdat )
                if( res > -1 ){
                  callback('必须大于原融资到期日');
                }else{
                  return true;
                }
              }else{
                callback("必输项")
              }
						}}
            // \newexpdat    新融资到期日 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
    ],
    setmod_doccur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\doccur    document currency 
    ],
    setmod_feemac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\feemac    FEEMAC 
    ],
    setmod_setmac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\setmac    SETMAC 
    ],
    spt_inr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \sysmod\spt\inr    唯一编号 
    ],
    trndoc_cortyp:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \trnmod\trndoc\cortyp    Per Medium 
    ],
    trndoc_doccod:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
    ],
    trndoc_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
    ],
}