import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Bptsel {
    
    @observable
    bptp_bmdref=""           // \bptp\bmdref    单据编号 

    @observable
    bptp_bpdlst=[]           // \bptp\bpdlst 

    @observable
    bptp_bpdref=""           // \bptp\bpdref    融资业务编号 

    @observable
    bptp_bustyp=""           // \bptp\bustyp    进出口融资标识 

    @observable
    bptp_doclst=[]           // \bptp\doclst 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.bptp_bmdref=""
            this.bptp_bpdlst=[]
            this.bptp_bpdref=""
            this.bptp_bustyp=""
            this.bptp_doclst=[]
    }

} 


export default Bptsel