export default fieldSet = {
        branchinr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cpdgrp\rec\branchinr    所属机构 
    ],
    cpdflg:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cpdgrp\rec\cpdflg    汇款类型 
    ],
    custyp:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \cpdgrp\rec\custyp    汇款人性质 
    ],
    diptyp:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \cpdgrp\rec\diptyp    解付方式 
    ],
    liqtyp:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cpdgrp\rec\liqtyp    清算路径 
    ],
    orcacc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \cpdgrp\rec\orcacc    付款人账号 
    ],
    ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \cpdgrp\rec\ownref    业务编号 
            { required: true, message: '必输项' },
    ],
    paytyp:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \cpdgrp\rec\paytyp    汇款方式 
    ],
    pyeacc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \cpdgrp\rec\pyeacc    收款人账号 
    ],
    stacty:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \cpdgrp\rec\stacty    交易对手国别 
    ],
    swftyp:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cpdgrp\rec\swftyp    报文类型 
    ],
    valdat:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cpdgrp\rec\valdat    起息日 
    ],
    bas_actiondesc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbagrp\bas\actiondesc    修改/删除原因 
    ],
    bas_actiontype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbagrp\bas\actiontype    操作类型 
    ],
    bas_buscode:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\bas\buscode    银行业务编号 
    ],
    bas_custcod:[
            {type:'string',max:9,message:'长度不能超过9个字符'},  // \bopmod\dbagrp\bas\custcod    组织机构 
    ],
    bas_custnm:[
            {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbagrp\bas\custnm    收款人名称 
    ],
    bas_custype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbagrp\bas\custype    收款人类型 
    ],
    bas_exrate:[
            {type:'string',max:13,message:'长度不能超过13个字符'},  // \bopmod\dbagrp\bas\exrate    结汇汇率 
    ],
    bas_fcyacc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbagrp\bas\fcyacc    外汇帐号/银行卡号 
    ],
    bas_fcyamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\bas\fcyamt    现汇金额 
    ],
    bas_idcode:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbagrp\bas\idcode    个人身份证件号码 
    ],
    bas_inchargeamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\bas\inchargeamt    国内银行扣费金额 
    ],
    bas_inchargeccy:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbagrp\bas\inchargeccy    国内银行扣费币种 
    ],
    bas_lcyacc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbagrp\bas\lcyacc    人民币帐号/银行卡号 
    ],
    bas_lcyamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\bas\lcyamt    结汇金额 
    ],
    bas_method:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbagrp\bas\method    结算方式 
    ],
    bas_oppuser:[
            {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbagrp\bas\oppuser    付款人名称 
    ],
    bas_othacc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbagrp\bas\othacc    其它帐号/银行卡号 
    ],
    bas_othamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\bas\othamt    其它金额 
    ],
    bas_outchargeamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\bas\outchargeamt    国外银行扣费金额 
    ],
    bas_outchargeccy:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbagrp\bas\outchargeccy    国外银行扣费币种 
    ],
    bas_ownextkey:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbagrp\bas\ownextkey    initial entity code 
    ],
    bas_rptno:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\bas\rptno    申报号码 
    ],
    bas_txamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\bas\txamt    收入款金额 
    ],
    bas_txccy:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbagrp\bas\txccy    收入款币种 
    ],
    dcl_actiondesc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbagrp\dcl\actiondesc    修改/删除原因 
    ],
    dcl_actiontype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbagrp\dcl\actiontype    操作类型 
    ],
    dcl_billno:[
            {type:'string',max:50,message:'长度不能超过50个字符'},  // \bopmod\dbagrp\dcl\billno    外债编号涉外收入申报单独有 
    ],
    dcl_country:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbagrp\dcl\country    付款人常驻国家/地区编码 
    ],
    dcl_crtuser:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \bopmod\dbagrp\dcl\crtuser    填报人 
    ],
    dcl_inptelc:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \bopmod\dbagrp\dcl\inptelc    填报人电话 
    ],
    dcl_isref:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbagrp\dcl\isref    是否出口核销项下收汇 
    ],
    dcl_payattr:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbagrp\dcl\payattr    收入类型 
    ],
    dcl_paytype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbagrp\dcl\paytype    收款性质 
    ],
    dcl_rptdate:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \bopmod\dbagrp\dcl\rptdate    申报日期 
    ],
    dcl_rptno:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\dcl\rptno    申报号码 
    ],
    dcl_tc1amt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\dcl\tc1amt    相应金额1 
    ],
    dcl_tc2amt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbagrp\dcl\tc2amt    相应金额2 
    ],
    dcl_tx2rem:[
            {type:'string',max:50,message:'长度不能超过50个字符'},  // \bopmod\dbagrp\dcl\tx2rem    交易附言2 
    ],
    dcl_txcode:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbagrp\dcl\txcode    交易编码1 
    ],
    dcl_txcode2:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbagrp\dcl\txcode2    交易编码2 
    ],
    dcl_txrem:[
            {type:'string',max:50,message:'长度不能超过50个字符'},  // \bopmod\dbagrp\dcl\txrem    交易附言1 
    ],
    baspp_cornam:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbap\baspp\cornam     
    ],
    baspp_corpnam:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbap\baspp\corpnam     
    ],
    baspp_cusnam:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbap\baspp\cusnam     
    ],
    baspp_exratelab:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbap\baspp\exratelab    售汇/结汇汇率 
    ],
    _baspp_getref:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \bopmod\dbap\baspp\getref    getref 
    ],
    baspp_lcyamtlab:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbap\baspp\lcyamtlab    售汇/结汇金额 
    ],
    _codsel1_selbut:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbap\dclpp\codsel1\selbut    ? 
    ],
    _codsel1_selbut1:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbap\dclpp\codsel1\selbut1    ? 
    ],
    _codsel2_selbut:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbap\dclpp\codsel2\selbut    ? 
    ],
    dclpp_country1:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bopmod\dbap\dclpp\country1    收/付款人常驻国家/地区编码 
    ],
    dclpp_crtuser1:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bopmod\dbap\dclpp\crtuser1    申报填报人 
    ],
    dclpp_inptelc1:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bopmod\dbap\dclpp\inptelc1    申报填报人电话 
    ],
    dclpp_isref1:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bopmod\dbap\dclpp\isref1    是否出口核销项下收汇 
    ],
    dclpp_paytype1:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bopmod\dbap\dclpp\paytype1    收款性质 
    ],
    bas1_actiondesc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbdgrp\bas\actiondesc    修改/删除原因 
    ],
    bas1_actiontype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbdgrp\bas\actiontype    操作类型 
    ],
    bas1_buscode:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbdgrp\bas\buscode    银行业务编号 
    ],
    bas1_custcod:[
            {type:'string',max:9,message:'长度不能超过9个字符'},  // \bopmod\dbdgrp\bas\custcod    组织机构 
    ],
    bas1_custnm:[
            {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbdgrp\bas\custnm    收款人名称 
    ],
    bas1_custype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbdgrp\bas\custype    收款人类型 
    ],
    bas1_exrate:[
            {type:'string',max:13,message:'长度不能超过13个字符'},  // \bopmod\dbdgrp\bas\exrate    结汇汇率 
    ],
    bas1_fcyacc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbdgrp\bas\fcyacc    外汇帐号/银行卡号 
    ],
    bas1_fcyamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbdgrp\bas\fcyamt    现汇金额 
    ],
    bas1_idcode:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbdgrp\bas\idcode    个人身份证件号码 
    ],
    bas1_inchargeamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbdgrp\bas\inchargeamt    国内银行扣费金额 
    ],
    bas1_inchargeccy:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbdgrp\bas\inchargeccy    国内银行扣费币种 
    ],
    bas1_lcyacc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbdgrp\bas\lcyacc    人民币帐号/银行卡号 
    ],
    bas1_lcyamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbdgrp\bas\lcyamt    结汇金额 
    ],
    bas1_method:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbdgrp\bas\method    结算方式 
    ],
    bas1_oppuser:[
            {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbdgrp\bas\oppuser    付款人名称 
    ],
    bas1_othacc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbdgrp\bas\othacc    其它帐号/银行卡号 
    ],
    bas1_othamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbdgrp\bas\othamt    其它金额 
    ],
    bas1_ownextkey:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbdgrp\bas\ownextkey    initial entity code 
    ],
    bas1_rptno:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbdgrp\bas\rptno    申报号码 
    ],
    bas1_txamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbdgrp\bas\txamt    收入款金额 
    ],
    bas1_txccy:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbdgrp\bas\txccy    收入款币种 
    ],
    vrf_actiondesc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbdgrp\vrf\actiondesc    修改/删除原因 
    ],
    vrf_actiontype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbdgrp\vrf\actiontype    操作类型 
    ],
    vrf_crtuser:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \bopmod\dbdgrp\vrf\crtuser    填报人 
    ],
    vrf_inptelc:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \bopmod\dbdgrp\vrf\inptelc    填报人电话 
    ],
    vrf_isref:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbdgrp\vrf\isref    是否出口核销项下收汇 
    ],
    vrf_payattr:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbdgrp\vrf\payattr    收汇类型 
    ],
    vrf_paytype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbdgrp\vrf\paytype    收款性' 
    ],
    vrf_regno:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \bopmod\dbdgrp\vrf\regno    外汇局批件/备案表号 
    ],
    vrf_rptdate:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \bopmod\dbdgrp\vrf\rptdate    申报日期 
    ],
    vrf_rptno:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbdgrp\vrf\rptno    申报号码 
    ],
    vrf_tc1amt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbdgrp\vrf\tc1amt    相应金额1 
    ],
    vrf_tc2amt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbdgrp\vrf\tc2amt    相应金额2 
    ],
    vrf_tx2rem:[
            {type:'string',max:50,message:'长度不能超过50个字符'},  // \bopmod\dbdgrp\vrf\tx2rem    交易附言2 
    ],
    vrf_txcode:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbdgrp\vrf\txcode    交易编码1 
    ],
    vrf_txcode2:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbdgrp\vrf\txcode2    交易编码2 
    ],
    vrf_txrem:[
            {type:'string',max:50,message:'长度不能超过50个字符'},  // \bopmod\dbdgrp\vrf\txrem    交易附言1 
    ],
    baspp1_cornam:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbdp\baspp\cornam     
    ],
    baspp1_corpnam:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbdp\baspp\corpnam     
    ],
    baspp1_cusnam:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbdp\baspp\cusnam     
    ],
    baspp1_exratelab:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbdp\baspp\exratelab    售汇/结汇汇率 
    ],
    _baspp1_getref:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \bopmod\dbdp\baspp\getref    getref 
    ],
    baspp1_lcyamtlab:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbdp\baspp\lcyamtlab    售汇/结汇金额 
    ],
    _codsel11_selbut:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbdp\codsel1\selbut    ? 
    ],
    _codsel21_selbut:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbdp\codsel2\selbut    ? 
    ],
    max_amt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \cpdgrp\cbs\max\amt    Balance 
    ],
    max_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \cpdgrp\cbs\max\cur    Currency 
    ],
    pts_adrblk:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \cpdgrp\orc\pts\adrblk    SWIFT地址 
    ],
    pts_adrcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \cpdgrp\orc\pts\adrcn    中文地址 
    ],
    pts_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \cpdgrp\orc\pts\extkey    客户编号 
    ],
    pts_nam:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \cpdgrp\orc\pts\nam    客户英文名称 
    ],
    pts_namcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \cpdgrp\orc\pts\namcn    客户中文名称 
    ],
    pty_ownusr:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \cpdgrp\orc\pty\ownusr    客户经理 
    ],
    pts1_adrblk:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \cpdgrp\ori\pts\adrblk    SWIFT地址 
    ],
    pts1_adrcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \cpdgrp\ori\pts\adrcn    中文地址 
    ],
    pts1_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \cpdgrp\ori\pts\extkey    客户编号 
    ],
    pts1_nam:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \cpdgrp\ori\pts\nam    客户英文名称 
    ],
    pts1_namcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \cpdgrp\ori\pts\namcn    客户中文名称 
    ],
    pts2_adrblk:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \cpdgrp\pyb\pts\adrblk    SWIFT地址 
    ],
    pts2_adrcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \cpdgrp\pyb\pts\adrcn    中文地址 
    ],
    pts2_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \cpdgrp\pyb\pts\extkey    客户编号 
    ],
    pts2_nam:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \cpdgrp\pyb\pts\nam    客户英文名称 
    ],
    pts2_namcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \cpdgrp\pyb\pts\namcn    客户中文名称 
    ],
    pts3_adrblk:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \cpdgrp\pye\pts\adrblk    SWIFT地址 
    ],
    pts3_adrcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \cpdgrp\pye\pts\adrcn    中文地址 
    ],
    pts3_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \cpdgrp\pye\pts\extkey    客户编号 
    ],
    pts3_nam:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \cpdgrp\pye\pts\nam    客户英文名称 
    ],
    pts3_namcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \cpdgrp\pye\pts\namcn    客户中文名称 
    ],
    _orcp_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cptp\orcp\ptysel    客户查询 
    ],
    _orcp_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cptp\orcp\sel    查询 
    ],
    _orip_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cptp\orip\ptysel    客户查询 
    ],
    _orip_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cptp\orip\sel    查询 
    ],
    _pybp_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cptp\pybp\ptysel    客户查询 
    ],
    _pybp_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cptp\pybp\sel    查询 
    ],
    _pyep_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cptp\pyep\ptysel    客户查询 
    ],
    _pyep_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cptp\pyep\sel    查询 
    ],
    mtabut_basflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \mtabut\basflg    基础信息 
    ],
    _chk:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \mtabut\chk    Check 
    ],
    mtabut_dclflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \mtabut\dclflg    申报信息 
    ],
    _getref:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \mtabut\getref    Get Ref. 
    ],
    mtabut_paydat:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \mtabut\paydat    收付汇日期 
    ],
    _ped:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \mtabut\ped    暂存 
    ],
    _rtn:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \mtabut\rtn    退出 
    ],
    _sav:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \mtabut\sav    Save 
    ],
    mtabut_vrfflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \mtabut\vrfflg    管理信息 
    ],
    _setmod_ast:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\ast    加载账务 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
    ],
    setmod_doccur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\doccur    document currency 
    ],
    _glemod_rebook:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\glemod\rebook    分录加载 
    ],
    pts4_adrblk:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \setmod\msgmod\acs\pts\adrblk    SWIFT地址 
    ],
    pts4_adrcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \setmod\msgmod\acs\pts\adrcn    中文地址 
    ],
    pts4_extact:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \setmod\msgmod\acs\pts\extact    结算账号 
    ],
    pts4_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \setmod\msgmod\acs\pts\extkey    客户编号 
    ],
    pts4_nam:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \setmod\msgmod\acs\pts\nam    客户英文名称 
    ],
    pts4_namcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \setmod\msgmod\acs\pts\namcn    客户中文名称 
    ],
    _acsp_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\acsp\ptysel    客户查询 
    ],
    _acsp_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\acsp\sel    查询 
    ],
    msgmod_amtf33b:[
            {type:'string',max:15,message:'长度不能超过15个字符'},  // \setmod\msgmod\amtf33b    扣款金额 
    ],
    _msgmod_butshw:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\butshw    报文展示 
    ],
    msgmod_chato:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\msgmod\chato    费用承担方 
    ],
    msgmod_contag70:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \setmod\msgmod\contag70    Content of TAG 70 
    ],
    msgmod_contag72:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \setmod\msgmod\contag72    Content of TAG 72 
    ],
    msgmod_curf33b:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\msgmod\curf33b    扣款币种 
    ],
    msgmod_doccod:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\doccod    报文类型 
    ],
    msgmod_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \setmod\msgmod\docpth    报文路径 
    ],
    pts5_adrblk:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \setmod\msgmod\ori\pts\adrblk    SWIFT地址 
    ],
    pts5_adrcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \setmod\msgmod\ori\pts\adrcn    中文地址 
    ],
    pts5_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \setmod\msgmod\ori\pts\extkey    客户编号 
    ],
    pts5_nam:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \setmod\msgmod\ori\pts\nam    客户英文名称 
    ],
    pts5_namcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \setmod\msgmod\ori\pts\namcn    客户中文名称 
    ],
    _orip1_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\orip\ptysel    客户查询 
    ],
    _orip1_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\orip\sel    查询 
    ],
    pts6_adrblk:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \setmod\msgmod\pyb\pts\adrblk    SWIFT地址 
    ],
    pts6_adrcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \setmod\msgmod\pyb\pts\adrcn    中文地址 
    ],
    pts6_extact:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \setmod\msgmod\pyb\pts\extact    结算账号 
    ],
    pts6_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \setmod\msgmod\pyb\pts\extkey    客户编号 
    ],
    pts6_nam:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \setmod\msgmod\pyb\pts\nam    客户英文名称 
    ],
    pts6_namcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \setmod\msgmod\pyb\pts\namcn    客户中文名称 
    ],
    _pybp1_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\pybp\ptysel    客户查询 
    ],
    _pybp1_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\pybp\sel    查询 
    ],
    pts7_adrblk:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \setmod\msgmod\pye\pts\adrblk    SWIFT地址 
    ],
    pts7_adrcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \setmod\msgmod\pye\pts\adrcn    中文地址 
    ],
    pts7_extact:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \setmod\msgmod\pye\pts\extact    结算账号 
    ],
    pts7_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \setmod\msgmod\pye\pts\extkey    客户编号 
    ],
    pts7_nam:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \setmod\msgmod\pye\pts\nam    客户英文名称 
    ],
    pts7_namcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \setmod\msgmod\pye\pts\namcn    客户中文名称 
    ],
    _pyep1_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\pyep\ptysel    客户查询 
    ],
    _pyep1_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\pyep\sel    查询 
    ],
    pts8_adrblk:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \setmod\msgmod\rmt\pts\adrblk    SWIFT地址 
    ],
    pts8_adrcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \setmod\msgmod\rmt\pts\adrcn    中文地址 
    ],
    pts8_extact:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \setmod\msgmod\rmt\pts\extact    结算账号 
    ],
    pts8_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \setmod\msgmod\rmt\pts\extkey    客户编号 
    ],
    pts8_nam:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \setmod\msgmod\rmt\pts\nam    客户英文名称 
    ],
    pts8_namcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \setmod\msgmod\rmt\pts\namcn    客户中文名称 
    ],
    _rmtp_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\rmtp\ptysel    客户查询 
    ],
    _rmtp_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\rmtp\sel    查询 
    ],
    pts9_adrblk:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \setmod\msgmod\snd\pts\adrblk    SWIFT地址 
    ],
    pts9_adrcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \setmod\msgmod\snd\pts\adrcn    中文地址 
    ],
    pts9_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \setmod\msgmod\snd\pts\extkey    客户编号 
    ],
    pts9_nam:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \setmod\msgmod\snd\pts\nam    客户英文名称 
    ],
    pts9_namcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \setmod\msgmod\snd\pts\namcn    客户中文名称 
    ],
    _sndp_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\sndp\ptysel    客户查询 
    ],
    _sndp_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\sndp\sel    查询 
    ],
    msgmod_tag20272:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \setmod\msgmod\tag20272    202报文附言 
    ],
    msgmod_valdat:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\valdat    起息日 
    ],
    _setmod_recal:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\recal    重算账务 
    ],
    _trndoc_butok:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \trnmod\trndoc\butok    OK 
    ],
    _trndoc_butshw:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \trnmod\trndoc\butshw    show doc. 
    ],
    trndoc_doccod:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
    ],
    trndoc_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
    ],
    _trndoc_reldoc:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \trnmod\trndoc\reldoc    面函加载 
    ],
    trndoc_swftyp:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \trnmod\trndoc\swftyp    报文类型 
    ],
    trndoc_tag79txt:[
            {type:'string',max:50,message:'长度不能超过50个字符'},  // \trnmod\trndoc\tag79txt    Content of tag 79 
    ],
}