import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
// import {validate} from '@/components/Common-Library'
//实体
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Cptspe {
    
    @observable
    
    branchinr=""           // \cpdgrp\rec\branchinr    所属机构 

    @observable
    
    cpdflg=""           // \cpdgrp\rec\cpdflg    汇款类型 

    @observable
    
    custyp=""           // \cpdgrp\rec\custyp    汇款人性质 

    @observable
    
    diptyp=""           // \cpdgrp\rec\diptyp    解付方式 

    @observable
    
    liqtyp=""           // \cpdgrp\rec\liqtyp    清算路径 

    @observable
    
    orcacc=""           // \cpdgrp\rec\orcacc    付款人账号 

    @observable
    
    ownref=""           // \cpdgrp\rec\ownref    业务编号 

    @observable
    
    paytyp=""           // \cpdgrp\rec\paytyp    汇款方式 

    @observable
    
    pyeacc=""           // \cpdgrp\rec\pyeacc    收款人账号 

    @observable
    
    stacty=""           // \cpdgrp\rec\stacty    交易对手国别 

    @observable
    
    swftyp=""           // \cpdgrp\rec\swftyp    报文类型 

    @observable
    
    valdat=""           // \cpdgrp\rec\valdat    起息日 

    @observable
    
    bas_actiondesc=""           // \bopmod\dbagrp\bas\actiondesc    修改/删除原因 

    @observable
    
    bas_actiontype=""           // \bopmod\dbagrp\bas\actiontype    操作类型 

    @observable
    
    bas_buscode=""           // \bopmod\dbagrp\bas\buscode    银行业务编号 

    @observable
    
    bas_custcod=""           // \bopmod\dbagrp\bas\custcod    组织机构 

    @observable
    
    bas_custnm=""           // \bopmod\dbagrp\bas\custnm    收款人名称 

    @observable
    
    bas_custype=""           // \bopmod\dbagrp\bas\custype    收款人类型 

    @observable
    
    bas_exrate=""           // \bopmod\dbagrp\bas\exrate    结汇汇率 

    @observable
    
    bas_fcyacc=""           // \bopmod\dbagrp\bas\fcyacc    外汇帐号/银行卡号 

    @observable
    
    bas_fcyamt=""           // \bopmod\dbagrp\bas\fcyamt    现汇金额 

    @observable
    
    bas_idcode=""           // \bopmod\dbagrp\bas\idcode    个人身份证件号码 

    @observable
    
    bas_inchargeamt=""           // \bopmod\dbagrp\bas\inchargeamt    国内银行扣费金额 

    @observable
    
    bas_inchargeccy=""           // \bopmod\dbagrp\bas\inchargeccy    国内银行扣费币种 

    @observable
    
    bas_lcyacc=""           // \bopmod\dbagrp\bas\lcyacc    人民币帐号/银行卡号 

    @observable
    
    bas_lcyamt=""           // \bopmod\dbagrp\bas\lcyamt    结汇金额 

    @observable
    
    bas_method=""           // \bopmod\dbagrp\bas\method    结算方式 

    @observable
    
    bas_oppuser=""           // \bopmod\dbagrp\bas\oppuser    付款人名称 

    @observable
    
    bas_othacc=""           // \bopmod\dbagrp\bas\othacc    其它帐号/银行卡号 

    @observable
    
    bas_othamt=""           // \bopmod\dbagrp\bas\othamt    其它金额 

    @observable
    
    bas_outchargeamt=""           // \bopmod\dbagrp\bas\outchargeamt    国外银行扣费金额 

    @observable
    
    bas_outchargeccy=""           // \bopmod\dbagrp\bas\outchargeccy    国外银行扣费币种 

    @observable
    
    bas_ownextkey=""           // \bopmod\dbagrp\bas\ownextkey    initial entity code 

    @observable
    
    bas_rptno=""           // \bopmod\dbagrp\bas\rptno    申报号码 

    @observable
    
    bas_txamt=""           // \bopmod\dbagrp\bas\txamt    收入款金额 

    @observable
    
    bas_txccy=""           // \bopmod\dbagrp\bas\txccy    收入款币种 

    @observable
    
    dcl_actiondesc=""           // \bopmod\dbagrp\dcl\actiondesc    修改/删除原因 

    @observable
    
    dcl_actiontype=""           // \bopmod\dbagrp\dcl\actiontype    操作类型 

    @observable
    
    dcl_billno=""           // \bopmod\dbagrp\dcl\billno    外债编号涉外收入申报单独有 

    @observable
    
    dcl_country=""           // \bopmod\dbagrp\dcl\country    付款人常驻国家/地区编码 

    @observable
    
    dcl_crtuser=""           // \bopmod\dbagrp\dcl\crtuser    填报人 

    @observable
    
    dcl_inptelc=""           // \bopmod\dbagrp\dcl\inptelc    填报人电话 

    @observable
    
    dcl_isref=""           // \bopmod\dbagrp\dcl\isref    是否出口核销项下收汇 

    @observable
    
    dcl_payattr=""           // \bopmod\dbagrp\dcl\payattr    收入类型 

    @observable
    
    dcl_paytype=""           // \bopmod\dbagrp\dcl\paytype    收款性质 

    @observable
    
    dcl_rptdate=""           // \bopmod\dbagrp\dcl\rptdate    申报日期 

    @observable
    
    dcl_rptno=""           // \bopmod\dbagrp\dcl\rptno    申报号码 

    @observable
    
    dcl_tc1amt=""           // \bopmod\dbagrp\dcl\tc1amt    相应金额1 

    @observable
    
    dcl_tc2amt=""           // \bopmod\dbagrp\dcl\tc2amt    相应金额2 

    @observable
    
    dcl_tx2rem=""           // \bopmod\dbagrp\dcl\tx2rem    交易附言2 

    @observable
    
    dcl_txcode=""           // \bopmod\dbagrp\dcl\txcode    交易编码1 

    @observable
    
    dcl_txcode2=""           // \bopmod\dbagrp\dcl\txcode2    交易编码2 

    @observable
    
    dcl_txrem=""           // \bopmod\dbagrp\dcl\txrem    交易附言1 

    @observable
    
    baspp_cornam=""           // \bopmod\dbap\baspp\cornam     

    @observable
    
    baspp_corpnam=""           // \bopmod\dbap\baspp\corpnam     

    @observable
    
    baspp_cusnam=""           // \bopmod\dbap\baspp\cusnam     

    @observable
    
    baspp_exratelab=""           // \bopmod\dbap\baspp\exratelab    售汇/结汇汇率 

    @observable
    
    baspp_lcyamtlab=""           // \bopmod\dbap\baspp\lcyamtlab    售汇/结汇金额 

    @observable
    
    dclpp_country1=""           // \bopmod\dbap\dclpp\country1    收/付款人常驻国家/地区编码 

    @observable
    
    dclpp_crtuser1=""           // \bopmod\dbap\dclpp\crtuser1    申报填报人 

    @observable
    
    dclpp_inptelc1=""           // \bopmod\dbap\dclpp\inptelc1    申报填报人电话 

    @observable
    
    dclpp_isref1=""           // \bopmod\dbap\dclpp\isref1    是否出口核销项下收汇 

    @observable
    
    dclpp_paytype1=""           // \bopmod\dbap\dclpp\paytype1    收款性质 

    @observable
    
    bas1_actiondesc=""           // \bopmod\dbdgrp\bas\actiondesc    修改/删除原因 

    @observable
    
    bas1_actiontype=""           // \bopmod\dbdgrp\bas\actiontype    操作类型 

    @observable
    
    bas1_buscode=""           // \bopmod\dbdgrp\bas\buscode    银行业务编号 

    @observable
    
    bas1_custcod=""           // \bopmod\dbdgrp\bas\custcod    组织机构 

    @observable
    
    bas1_custnm=""           // \bopmod\dbdgrp\bas\custnm    收款人名称 

    @observable
    
    bas1_custype=""           // \bopmod\dbdgrp\bas\custype    收款人类型 

    @observable
    
    bas1_exrate=""           // \bopmod\dbdgrp\bas\exrate    结汇汇率 

    @observable
    
    bas1_fcyacc=""           // \bopmod\dbdgrp\bas\fcyacc    外汇帐号/银行卡号 

    @observable
    
    bas1_fcyamt=""           // \bopmod\dbdgrp\bas\fcyamt    现汇金额 

    @observable
    
    bas1_idcode=""           // \bopmod\dbdgrp\bas\idcode    个人身份证件号码 

    @observable
    
    bas1_inchargeamt=""           // \bopmod\dbdgrp\bas\inchargeamt    国内银行扣费金额 

    @observable
    
    bas1_inchargeccy=""           // \bopmod\dbdgrp\bas\inchargeccy    国内银行扣费币种 

    @observable
    
    bas1_lcyacc=""           // \bopmod\dbdgrp\bas\lcyacc    人民币帐号/银行卡号 

    @observable
    
    bas1_lcyamt=""           // \bopmod\dbdgrp\bas\lcyamt    结汇金额 

    @observable
    
    bas1_method=""           // \bopmod\dbdgrp\bas\method    结算方式 

    @observable
    
    bas1_oppuser=""           // \bopmod\dbdgrp\bas\oppuser    付款人名称 

    @observable
    
    bas1_othacc=""           // \bopmod\dbdgrp\bas\othacc    其它帐号/银行卡号 

    @observable
    
    bas1_othamt=""           // \bopmod\dbdgrp\bas\othamt    其它金额 

    @observable
    
    bas1_ownextkey=""           // \bopmod\dbdgrp\bas\ownextkey    initial entity code 

    @observable
    
    bas1_rptno=""           // \bopmod\dbdgrp\bas\rptno    申报号码 

    @observable
    
    bas1_txamt=""           // \bopmod\dbdgrp\bas\txamt    收入款金额 

    @observable
    
    bas1_txccy=""           // \bopmod\dbdgrp\bas\txccy    收入款币种 

    @observable
    
    vrf_actiondesc=""           // \bopmod\dbdgrp\vrf\actiondesc    修改/删除原因 

    @observable
    
    vrf_actiontype=""           // \bopmod\dbdgrp\vrf\actiontype    操作类型 

    @observable
    
    vrf_crtuser=""           // \bopmod\dbdgrp\vrf\crtuser    填报人 

    @observable
    
    vrf_inptelc=""           // \bopmod\dbdgrp\vrf\inptelc    填报人电话 

    @observable
    
    vrf_isref=""           // \bopmod\dbdgrp\vrf\isref    是否出口核销项下收汇 

    @observable
    
    vrf_payattr=""           // \bopmod\dbdgrp\vrf\payattr    收汇类型 

    @observable
    
    vrf_paytype=""           // \bopmod\dbdgrp\vrf\paytype    收款性' 

    @observable
    
    vrf_regno=""           // \bopmod\dbdgrp\vrf\regno    外汇局批件/备案表号 

    @observable
    
    vrf_rptdate=""           // \bopmod\dbdgrp\vrf\rptdate    申报日期 

    @observable
    
    vrf_rptno=""           // \bopmod\dbdgrp\vrf\rptno    申报号码 

    @observable
    
    vrf_tc1amt=""           // \bopmod\dbdgrp\vrf\tc1amt    相应金额1 

    @observable
    
    vrf_tc2amt=""           // \bopmod\dbdgrp\vrf\tc2amt    相应金额2 

    @observable
    
    vrf_tx2rem=""           // \bopmod\dbdgrp\vrf\tx2rem    交易附言2 

    @observable
    
    vrf_txcode=""           // \bopmod\dbdgrp\vrf\txcode    交易编码1 

    @observable
    
    vrf_txcode2=""           // \bopmod\dbdgrp\vrf\txcode2    交易编码2 

    @observable
    
    vrf_txrem=""           // \bopmod\dbdgrp\vrf\txrem    交易附言1 

    @observable
    
    baspp1_cornam=""           // \bopmod\dbdp\baspp\cornam     

    @observable
    
    baspp1_corpnam=""           // \bopmod\dbdp\baspp\corpnam     

    @observable
    
    baspp1_cusnam=""           // \bopmod\dbdp\baspp\cusnam     

    @observable
    
    baspp1_exratelab=""           // \bopmod\dbdp\baspp\exratelab    售汇/结汇汇率 

    @observable
    
    baspp1_lcyamtlab=""           // \bopmod\dbdp\baspp\lcyamtlab    售汇/结汇金额 

    @observable
    
    max_amt=""           // \cpdgrp\cbs\max\amt    Balance 

    @observable
    
    max_cur=""           // \cpdgrp\cbs\max\cur    Currency 

    @observable
    
    pts_adrblk=""           // \cpdgrp\orc\pts\adrblk    SWIFT地址 

    @observable
    
    pts_adrcn=""           // \cpdgrp\orc\pts\adrcn    中文地址 

    @observable
    
    pts_extkey=""           // \cpdgrp\orc\pts\extkey    客户编号 

    @observable
    
    pts_nam=""           // \cpdgrp\orc\pts\nam    客户英文名称 

    @observable
    
    pts_namcn=""           // \cpdgrp\orc\pts\namcn    客户中文名称 

    @observable
    
    pty_ownusr=""           // \cpdgrp\orc\pty\ownusr    客户经理 

    @observable
    
    pts1_adrblk=""           // \cpdgrp\ori\pts\adrblk    SWIFT地址 

    @observable
    
    pts1_adrcn=""           // \cpdgrp\ori\pts\adrcn    中文地址 

    @observable
    
    pts1_extkey=""           // \cpdgrp\ori\pts\extkey    客户编号 

    @observable
    
    pts1_nam=""           // \cpdgrp\ori\pts\nam    客户英文名称 

    @observable
    
    pts1_namcn=""           // \cpdgrp\ori\pts\namcn    客户中文名称 

    @observable
    
    pts2_adrblk=""           // \cpdgrp\pyb\pts\adrblk    SWIFT地址 

    @observable
    
    pts2_adrcn=""           // \cpdgrp\pyb\pts\adrcn    中文地址 

    @observable
    
    pts2_extkey=""           // \cpdgrp\pyb\pts\extkey    客户编号 

    @observable
    
    pts2_nam=""           // \cpdgrp\pyb\pts\nam    客户英文名称 

    @observable
    
    pts2_namcn=""           // \cpdgrp\pyb\pts\namcn    客户中文名称 

    @observable
    
    pts3_adrblk=""           // \cpdgrp\pye\pts\adrblk    SWIFT地址 

    @observable
    
    pts3_adrcn=""           // \cpdgrp\pye\pts\adrcn    中文地址 

    @observable
    
    pts3_extkey=""           // \cpdgrp\pye\pts\extkey    客户编号 

    @observable
    
    pts3_nam=""           // \cpdgrp\pye\pts\nam    客户英文名称 

    @observable
    
    pts3_namcn=""           // \cpdgrp\pye\pts\namcn    客户中文名称 

    @observable
    
    mtabut_basflg=""           // \mtabut\basflg    基础信息 

    @observable
    
    mtabut_dclflg=""           // \mtabut\dclflg    申报信息 

    @observable
    
    mtabut_paydat=""           // \mtabut\paydat    收付汇日期 

    @observable
    
    mtabut_vrfflg=""           // \mtabut\vrfflg    管理信息 

    @observable
    
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    
    pts4_adrblk=""           // \setmod\msgmod\acs\pts\adrblk    SWIFT地址 

    @observable
    
    pts4_adrcn=""           // \setmod\msgmod\acs\pts\adrcn    中文地址 

    @observable
    
    pts4_extact=""           // \setmod\msgmod\acs\pts\extact    结算账号 

    @observable
    
    pts4_extkey=""           // \setmod\msgmod\acs\pts\extkey    客户编号 

    @observable
    
    pts4_nam=""           // \setmod\msgmod\acs\pts\nam    客户英文名称 

    @observable
    
    pts4_namcn=""           // \setmod\msgmod\acs\pts\namcn    客户中文名称 

    @observable
    
    msgmod_amtf33b=""           // \setmod\msgmod\amtf33b    扣款金额 

    @observable
    
    msgmod_chato=""           // \setmod\msgmod\chato    费用承担方 

    @observable
    
    msgmod_contag70=""           // \setmod\msgmod\contag70    Content of TAG 70 

    @observable
    
    msgmod_contag72=""           // \setmod\msgmod\contag72    Content of TAG 72 

    @observable
    
    msgmod_curf33b=""           // \setmod\msgmod\curf33b    扣款币种 

    @observable
    
    msgmod_doccod=""           // \setmod\msgmod\doccod    报文类型 

    @observable
    
    msgmod_docpth=""           // \setmod\msgmod\docpth    报文路径 

    @observable
    
    pts5_adrblk=""           // \setmod\msgmod\ori\pts\adrblk    SWIFT地址 

    @observable
    
    pts5_adrcn=""           // \setmod\msgmod\ori\pts\adrcn    中文地址 

    @observable
    
    pts5_extkey=""           // \setmod\msgmod\ori\pts\extkey    客户编号 

    @observable
    
    pts5_nam=""           // \setmod\msgmod\ori\pts\nam    客户英文名称 

    @observable
    
    pts5_namcn=""           // \setmod\msgmod\ori\pts\namcn    客户中文名称 

    @observable
    
    pts6_adrblk=""           // \setmod\msgmod\pyb\pts\adrblk    SWIFT地址 

    @observable
    
    pts6_adrcn=""           // \setmod\msgmod\pyb\pts\adrcn    中文地址 

    @observable
    
    pts6_extact=""           // \setmod\msgmod\pyb\pts\extact    结算账号 

    @observable
    
    pts6_extkey=""           // \setmod\msgmod\pyb\pts\extkey    客户编号 

    @observable
    
    pts6_nam=""           // \setmod\msgmod\pyb\pts\nam    客户英文名称 

    @observable
    
    pts6_namcn=""           // \setmod\msgmod\pyb\pts\namcn    客户中文名称 

    @observable
    
    pts7_adrblk=""           // \setmod\msgmod\pye\pts\adrblk    SWIFT地址 

    @observable
    
    pts7_adrcn=""           // \setmod\msgmod\pye\pts\adrcn    中文地址 

    @observable
    
    pts7_extact=""           // \setmod\msgmod\pye\pts\extact    结算账号 

    @observable
    
    pts7_extkey=""           // \setmod\msgmod\pye\pts\extkey    客户编号 

    @observable
    
    pts7_nam=""           // \setmod\msgmod\pye\pts\nam    客户英文名称 

    @observable
    
    pts7_namcn=""           // \setmod\msgmod\pye\pts\namcn    客户中文名称 

    @observable
    
    pts8_adrblk=""           // \setmod\msgmod\rmt\pts\adrblk    SWIFT地址 

    @observable
    
    pts8_adrcn=""           // \setmod\msgmod\rmt\pts\adrcn    中文地址 

    @observable
    
    pts8_extact=""           // \setmod\msgmod\rmt\pts\extact    结算账号 

    @observable
    
    pts8_extkey=""           // \setmod\msgmod\rmt\pts\extkey    客户编号 

    @observable
    
    pts8_nam=""           // \setmod\msgmod\rmt\pts\nam    客户英文名称 

    @observable
    
    pts8_namcn=""           // \setmod\msgmod\rmt\pts\namcn    客户中文名称 

    @observable
    
    pts9_adrblk=""           // \setmod\msgmod\snd\pts\adrblk    SWIFT地址 

    @observable
    
    pts9_adrcn=""           // \setmod\msgmod\snd\pts\adrcn    中文地址 

    @observable
    
    pts9_extkey=""           // \setmod\msgmod\snd\pts\extkey    客户编号 

    @observable
    
    pts9_nam=""           // \setmod\msgmod\snd\pts\nam    客户英文名称 

    @observable
    
    pts9_namcn=""           // \setmod\msgmod\snd\pts\namcn    客户中文名称 

    @observable
    
    msgmod_tag20272=""           // \setmod\msgmod\tag20272    202报文附言 

    @observable
    
    msgmod_valdat=""           // \setmod\msgmod\valdat    起息日 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    @observable
    
    trndoc_swftyp=""           // \trnmod\trndoc\swftyp    报文类型 

    @observable
    
    trndoc_tag79txt=""           // \trnmod\trndoc\tag79txt    Content of tag 79 

     // Bspt界面的字段
     @observable
    //  @validate
     bopmod_szflg=""           // \bopmod\szflg    申报类型 
 
     @observable
    //  @validate
     bopmod_acttyp=""           // \bopmod\acttyp    款项性�'� 
 

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.branchinr=""
            this.cpdflg=""
            this.custyp=""
            this.diptyp=""
            this.liqtyp=""
            this.orcacc=""
            this.ownref=""
            this.paytyp=""
            this.pyeacc=""
            this.stacty=""
            this.swftyp=""
            this.valdat=""
            this.bas_actiondesc=""
            this.bas_actiontype=""
            this.bas_buscode=""
            this.bas_custcod=""
            this.bas_custnm=""
            this.bas_custype=""
            this.bas_exrate=""
            this.bas_fcyacc=""
            this.bas_fcyamt=""
            this.bas_idcode=""
            this.bas_inchargeamt=""
            this.bas_inchargeccy=""
            this.bas_lcyacc=""
            this.bas_lcyamt=""
            this.bas_method=""
            this.bas_oppuser=""
            this.bas_othacc=""
            this.bas_othamt=""
            this.bas_outchargeamt=""
            this.bas_outchargeccy=""
            this.bas_ownextkey=""
            this.bas_rptno=""
            this.bas_txamt=""
            this.bas_txccy=""
            this.dcl_actiondesc=""
            this.dcl_actiontype=""
            this.dcl_billno=""
            this.dcl_country=""
            this.dcl_crtuser=""
            this.dcl_inptelc=""
            this.dcl_isref=""
            this.dcl_payattr=""
            this.dcl_paytype=""
            this.dcl_rptdate=""
            this.dcl_rptno=""
            this.dcl_tc1amt=""
            this.dcl_tc2amt=""
            this.dcl_tx2rem=""
            this.dcl_txcode=""
            this.dcl_txcode2=""
            this.dcl_txrem=""
            this.baspp_cornam=""
            this.baspp_corpnam=""
            this.baspp_cusnam=""
            this.baspp_exratelab=""
            this.baspp_lcyamtlab=""
            this.dclpp_country1=""
            this.dclpp_crtuser1=""
            this.dclpp_inptelc1=""
            this.dclpp_isref1=""
            this.dclpp_paytype1=""
            this.bas1_actiondesc=""
            this.bas1_actiontype=""
            this.bas1_buscode=""
            this.bas1_custcod=""
            this.bas1_custnm=""
            this.bas1_custype=""
            this.bas1_exrate=""
            this.bas1_fcyacc=""
            this.bas1_fcyamt=""
            this.bas1_idcode=""
            this.bas1_inchargeamt=""
            this.bas1_inchargeccy=""
            this.bas1_lcyacc=""
            this.bas1_lcyamt=""
            this.bas1_method=""
            this.bas1_oppuser=""
            this.bas1_othacc=""
            this.bas1_othamt=""
            this.bas1_ownextkey=""
            this.bas1_rptno=""
            this.bas1_txamt=""
            this.bas1_txccy=""
            this.vrf_actiondesc=""
            this.vrf_actiontype=""
            this.vrf_crtuser=""
            this.vrf_inptelc=""
            this.vrf_isref=""
            this.vrf_payattr=""
            this.vrf_paytype=""
            this.vrf_regno=""
            this.vrf_rptdate=""
            this.vrf_rptno=""
            this.vrf_tc1amt=""
            this.vrf_tc2amt=""
            this.vrf_tx2rem=""
            this.vrf_txcode=""
            this.vrf_txcode2=""
            this.vrf_txrem=""
            this.baspp1_cornam=""
            this.baspp1_corpnam=""
            this.baspp1_cusnam=""
            this.baspp1_exratelab=""
            this.baspp1_lcyamtlab=""
            this.max_amt=""
            this.max_cur=""
            this.pts_adrblk=""
            this.pts_adrcn=""
            this.pts_extkey=""
            this.pts_nam=""
            this.pts_namcn=""
            this.pty_ownusr=""
            this.pts1_adrblk=""
            this.pts1_adrcn=""
            this.pts1_extkey=""
            this.pts1_nam=""
            this.pts1_namcn=""
            this.pts2_adrblk=""
            this.pts2_adrcn=""
            this.pts2_extkey=""
            this.pts2_nam=""
            this.pts2_namcn=""
            this.pts3_adrblk=""
            this.pts3_adrcn=""
            this.pts3_extkey=""
            this.pts3_nam=""
            this.pts3_namcn=""
            this.mtabut_basflg=""
            this.mtabut_dclflg=""
            this.mtabut_paydat=""
            this.mtabut_vrfflg=""
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.glemod_glelst=[]
            this.pts4_adrblk=""
            this.pts4_adrcn=""
            this.pts4_extact=""
            this.pts4_extkey=""
            this.pts4_nam=""
            this.pts4_namcn=""
            this.msgmod_amtf33b=""
            this.msgmod_chato=""
            this.msgmod_contag70=""
            this.msgmod_contag72=""
            this.msgmod_curf33b=""
            this.msgmod_doccod=""
            this.msgmod_docpth=""
            this.pts5_adrblk=""
            this.pts5_adrcn=""
            this.pts5_extkey=""
            this.pts5_nam=""
            this.pts5_namcn=""
            this.pts6_adrblk=""
            this.pts6_adrcn=""
            this.pts6_extact=""
            this.pts6_extkey=""
            this.pts6_nam=""
            this.pts6_namcn=""
            this.pts7_adrblk=""
            this.pts7_adrcn=""
            this.pts7_extact=""
            this.pts7_extkey=""
            this.pts7_nam=""
            this.pts7_namcn=""
            this.pts8_adrblk=""
            this.pts8_adrcn=""
            this.pts8_extact=""
            this.pts8_extkey=""
            this.pts8_nam=""
            this.pts8_namcn=""
            this.pts9_adrblk=""
            this.pts9_adrcn=""
            this.pts9_extkey=""
            this.pts9_nam=""
            this.pts9_namcn=""
            this.msgmod_tag20272=""
            this.msgmod_valdat=""
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
            this.trndoc_swftyp=""
            this.trndoc_tag79txt=""
    }

} 


export default Cptspe