import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Dbapty {
    
    @observable
    adrcn=""           // \ptygrp\rec\adrcn    中文地址 

    @observable
    bchkeyinr=""           // \ptygrp\rec\bchkeyinr    所属机构 

    @observable
    custyp=""           // \ptygrp\rec\custyp    对公/对私 

    @observable
    email=""           // \ptygrp\rec\email    E-MAIL 

    @observable
    extkey=""           // \ptygrp\rec\extkey    客户号 

    @observable
    idcod=""           // \ptygrp\rec\idcod    证件号码 

    @observable
    idtyp=""           // \ptygrp\rec\idtyp    证件类型 

    @observable
    juscod=""           // \ptygrp\rec\juscod    统一社会信用代码 

    @observable
    loccty=""           // \ptygrp\rec\loccty    国家 

    @observable
    loctxt=""           // \ptygrp\rec\loctxt    城市 

    @observable
    loczip=""           // \ptygrp\rec\loczip    邮编 

    @observable
    nam1=""           // \ptygrp\rec\nam1    英文名称1 

    @observable
    nam2=""           // \ptygrp\rec\nam2    英文名称2 

    @observable
    namcn=""           // \ptygrp\rec\namcn    中文名称 

    @observable
    ownusr=""           // \ptygrp\rec\ownusr    客户经理 

    @observable
    ptytyp=""           // \ptygrp\rec\ptytyp    客户类型 

    @observable
    sta=""           // \ptygrp\rec\sta    客户状态 

    @observable
    str1=""           // \ptygrp\rec\str1    英文地址1 

    @observable
    str2=""           // \ptygrp\rec\str2    英文地址2 

    @observable
    swfno=""           // \ptygrp\rec\swfno    SWIFT号码 

    @observable
    tel=""           // \ptygrp\rec\tel    电话 

    @observable
    ptyp_bnkflg=""           // \ptyp\bnkflg    银行 

    @observable
    ptyp_dgflg=""           // \ptyp\dgflg    对公 

    @observable
    ptyp_dsflg=""           // \ptyp\dsflg    对私 

    @observable
    ptyp_ownbank=""           // \ptyp\ownbank    我行银行 

    @observable
    ptyp_tmpflg=""           // \ptyp\tmpflg    非我行客户 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.adrcn=""
            this.bchkeyinr=""
            this.custyp=""
            this.email=""
            this.extkey=""
            this.idcod=""
            this.idtyp=""
            this.juscod=""
            this.loccty=""
            this.loctxt=""
            this.loczip=""
            this.nam1=""
            this.nam2=""
            this.namcn=""
            this.ownusr=""
            this.ptytyp=""
            this.sta=""
            this.str1=""
            this.str2=""
            this.swfno=""
            this.tel=""
            this.ptyp_bnkflg=""
            this.ptyp_dgflg=""
            this.ptyp_dsflg=""
            this.ptyp_ownbank=""
            this.ptyp_tmpflg=""
    }

} 


export default Dbapty