import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {validate} from '@/components/Common-Library'
//实体



class Dbiact {
    
    @observable
    @validate
    acctyp=""           // \actgrp\rec\acctyp    账户类型 

    @observable
    @validate
    bchkey=""           // \actgrp\rec\bchkey    开户机构 

    @observable
    @validate
    cshflg=""           // \actgrp\rec\cshflg    钞汇标志 

    @observable
    @validate
    cur=""           // \actgrp\rec\cur    币种 

    @observable
    @validate
    dsp=""           // \actgrp\rec\dsp    结算编码 

    @observable
    @validate
    extkey=""           // \actgrp\rec\extkey    账号 

    @observable
    @validate
    nam=""           // \actgrp\rec\nam    户名 

    @observable
    @validate
    ptyextkey=""           // \actgrp\rec\ptyextkey    归属客户号 

    @observable
    @validate
    sta=""           // \actgrp\rec\sta    状态 

    @observable
    @validate
    trmcod=""           // \actgrp\rec\trmcod    科目编码 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.acctyp=""
            this.bchkey=""
            this.cshflg=""
            this.cur=""
            this.dsp=""
            this.extkey=""
            this.nam=""
            this.ptyextkey=""
            this.sta=""
            this.trmcod=""
    }

} 


export default Dbiact