import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Dbabch {
    
    @observable
    accbch=""           // \bchgrp\rec\accbch    记账机构 

    @observable
    adrcn=""           // \bchgrp\rec\adrcn    中文地址 

    @observable
    branch=""           // \bchgrp\rec\branch    机构编码 

    @observable
    corflg=""           // \bchgrp\rec\corflg    机构类型 

    @observable
    decnum=""           // \bchgrp\rec\decnum    金融机构标识码 

    @observable
    lev=""           // \bchgrp\rec\lev    机构级别 

    @observable
    namcn=""           // \bchgrp\rec\namcn    中文名称 

    @observable
    rmbrpt=""           // \bchgrp\rec\rmbrpt    人行支付行号 

    @observable
    sta=""           // \bchgrp\rec\sta    机构状态 

    @observable
    upbchkey=""           // \bchgrp\rec\upbchkey    业务上交单证中心 

    @observable
    upbranch=""           // \bchgrp\rec\upbranch    上级机构编码 

    @observable
    pts_adrcn=""           // \bchp\bchpty\pts\adrcn    中文地址 

    @observable
    pts_extkey=""           // \bchp\bchpty\pts\extkey    客户编号 

    @observable
    pts_namcn=""           // \bchp\bchpty\pts\namcn    客户中文名称 

    @observable
    pts_ptyinr=""           // \bchp\bchpty\pts\ptyinr    ptyinr 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.accbch=""
            this.adrcn=""
            this.branch=""
            this.corflg=""
            this.decnum=""
            this.lev=""
            this.namcn=""
            this.rmbrpt=""
            this.sta=""
            this.upbchkey=""
            this.upbranch=""
            this.pts_adrcn=""
            this.pts_extkey=""
            this.pts_namcn=""
            this.pts_ptyinr=""
    }

} 


export default Dbabch