import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Dbifrm {
    
    @observable
    busrou=""           // \frmgrp\rec\busrou    业务品种 

    @observable
    flg=""           // \frmgrp\rec\flg    显示类型 

    @observable
    frm=""           // \frmgrp\rec\frm    交易代码 

    @observable
    frmtyp=""           // \frmgrp\rec\frmtyp    交易类型 

    @observable
    lvl=""           // \frmgrp\rec\lvl    授权级别 

    @observable
    namcn=""           // \frmgrp\rec\namcn    交易中文名 

    @observable
    namen=""           // \frmgrp\rec\namen    交易英文名 

    @observable
    negflg=""           // \frmgrp\rec\negflg    交易发起端 

    @observable
    pntinr=""           // \frmgrp\rec\pntinr    父菜单 

    @observable
    typ=""           // \frmgrp\rec\typ    交易默认状态 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.busrou=""
            this.flg=""
            this.frm=""
            this.frmtyp=""
            this.lvl=""
            this.namcn=""
            this.namen=""
            this.negflg=""
            this.pntinr=""
            this.typ=""
    }

} 


export default Dbifrm