import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Dbitsk {
    
    @observable
    ctklst=[]           // \ctklst 

    @observable
    bch_branch=""           // \sysmod\bch\branch    机构编码 

    @observable
    bch_namcn=""           // \sysmod\bch\namcn    中文名称 

    @observable
    usg=""           // \usg    组 

    @observable
    usrlin=[]           // \usrlin 

    @observable
    usrlod=[]           // \usrlod 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.ctklst=[]
            this.bch_branch=""
            this.bch_namcn=""
            this.usg=""
            this.usrlin=[]
            this.usrlod=[]
    }

} 


export default Dbitsk