import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {validate} from '@/components/Common-Library'
//实体



class Dbiusr {
    
    @observable
    @validate
    bchkey=""           // \usrgrp\rec\bchkey    归属机构 

    @observable
    @validate
    credat=""           // \usrgrp\rec\credat    注册日期 

    @observable
    @validate
    dspnam=""           // \usrgrp\rec\dspnam    用户名称 

    @observable
    @validate
    eml=""           // \usrgrp\rec\eml    电子邮件 

    @observable
    @validate
    etaextkey=""           // \usrgrp\rec\etaextkey    实体地址 

    @observable
    @validate
    etyextkey=""           // \usrgrp\rec\etyextkey    实体关键字 

    @observable
    @validate
    fax=""           // \usrgrp\rec\fax    传真 

    @observable
    @validate
    nam=""           // \usrgrp\rec\nam    用户ID 

    @observable
    @validate
    pwd=""           // \usrgrp\rec\pwd    密码 

    @observable
    @validate
    sta=""           // \usrgrp\rec\sta    用户状态 

    @observable
    @validate
    tel=""           // \usrgrp\rec\tel    电话 

    @observable
    @validate
    usg=""           // \usrgrp\rec\usg    用户组 

    @observable
    @validate
    usrlvl=""           // \usrgrp\rec\usrlvl    级别 

    @observable
    @validate
    valdat=""           // \usrgrp\rec\valdat    密码过期日 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.bchkey=""
            this.credat=""
            this.dspnam=""
            this.eml=""
            this.etaextkey=""
            this.etyextkey=""
            this.fax=""
            this.nam=""
            this.pwd=""
            this.sta=""
            this.tel=""
            this.usg=""
            this.usrlvl=""
            this.valdat=""
    }

} 


export default Dbiusr