import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {validate} from '@/components/Common-Library'
//实体



class Dblact {
    
    @observable
    @validate
    bchkey=""           // \actgrp\rec\bchkey    开户机构 

    @observable
    @validate
    cur=""           // \actgrp\rec\cur    币种 

    @observable
    @validate
    extkey=""           // \actgrp\rec\extkey    账号 

    @observable
    actgrp_actlst=[]           // \actgrp\actlst 

    @observable
    @validate
    ownpty_extkey=""           // \actgrp\ownpty\extkey    客户号 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.bchkey=""
            this.cur=""
            this.extkey=""
            this.actgrp_actlst=[]
            this.ownpty_extkey=""
    }

} 


export default Dblact