import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Detcan {
    
    @observable
    accusr=""           // \dedgrp\rec\accusr    客户经理 

    @observable
    adlcnd=""           // \dedgrp\rec\adlcnd    附加条款 

    @observable
    adlcndame=""           // \dedgrp\rec\adlcndame    附加条款历史修改记录 

    @observable
    amedat=""           // \dedgrp\rec\amedat    最后修改日期 

    @observable
    amenbr=""           // \dedgrp\rec\amenbr    修改次数 

    // @observable
    // amersn=""           // \dedgrp\rec\amersn    信用证修改理由 

    @observable
    avbby=""           // \dedgrp\rec\avbby    信用证对付方式 

    @observable
    canrsn=""           // \dedgrp\rec\canrsn    注销闭卷原因 

    @observable
    cantyp=""           // \dedgrp\rec\cantyp    注销闭卷原因 

    @observable
    cfmflg=""           // \dedgrp\rec\cfmflg    保兑标志 

    @observable
    clsdat=""           // \dedgrp\rec\clsdat    闭卷日期 

    @observable
    clsinf=""           // \dedgrp\rec\clsinf    闭卷原因 

    @observable
    conamt=""           // \dedgrp\rec\conamt    合同金额 

    @observable
    concur=""           // \dedgrp\rec\concur    合同币种 

    @observable
    conno=""           // \dedgrp\rec\conno    合同编号 

    @observable
    credat=""           // \dedgrp\rec\credat    创建日期 

    @observable
    defdet=""           // \dedgrp\rec\defdet    远期付款指示 

    @observable
    etyextkey=""           // \dedgrp\rec\etyextkey    实体 

    @observable
    expdat=""           // \dedgrp\rec\expdat    有效日期 

    @observable
    expplc=""           // \dedgrp\rec\expplc    有效地点 

    @observable
    inr=""           // \dedgrp\rec\inr    索引 

    @observable
    isstyp=""           // \dedgrp\rec\isstyp    开证类型 

    @observable
    lcrdoc=""           // \dedgrp\rec\lcrdoc    单据要求 

    @observable
    lcrdocame=""           // \dedgrp\rec\lcrdocame    单据要求历史修改记录 

    @observable
    lcref=""           // \dedgrp\rec\lcref    信用证编号 

    @observable
    lcrgod=""           // \dedgrp\rec\lcrgod    货物服务描述 

    @observable
    lcrgodame=""           // \dedgrp\rec\lcrgodame    货物/服务描述修改记录 

    @observable
    nam=""           // \dedgrp\rec\nam    概要描述 

    @observable
    negflg=""           // \dedgrp\rec\negflg    是否可议付 

    @observable
    nomspc=""           // \dedgrp\rec\nomspc    最高金额限额 

    @observable
    nomton=""           // \dedgrp\rec\nomton    下浮 

    @observable
    nomtop=""           // \dedgrp\rec\nomtop    上浮 

    @observable
    opndat=""           // \dedgrp\rec\opndat    开立日期 

    @observable
    ownbch=""           // \dedgrp\rec\ownbch    归属机构 

    @observable
    ownref=""           // \dedgrp\rec\ownref    业务编号 

    @observable
    ownusr=""           // \dedgrp\rec\ownusr    创建柜员 

    @observable
    preadvdat=""           // \dedgrp\rec\preadvdat    预开立日期 

    @observable
    preper=""           // \dedgrp\rec\preper    交单期限 

    @observable
    rejameflg=""           // \dedgrp\rec\rejameflg    拒绝修改标识 

    @observable
    rejamenbr=""           // \dedgrp\rec\rejamenbr    拒绝接受修改次数 

    @observable
    rejamersn=""           // \dedgrp\rec\rejamersn    拒绝修改理由 

    @observable
    rejflg=""           // \dedgrp\rec\rejflg    拒绝标识 

    @observable
    rejrsn=""           // \dedgrp\rec\rejrsn    拒绝通知理由 

    @observable
    shpfro=""           // \dedgrp\rec\shpfro    货物装运地(港) 

    @observable
    shppar=""           // \dedgrp\rec\shppar    分批装运货物/分次提供服务 

    @observable
    shpper=""           // \dedgrp\rec\shpper    分期装运/提供服务 

    @observable
    shppro=""           // \dedgrp\rec\shppro    服务提供地点 

    @observable
    shpto=""           // \dedgrp\rec\shpto    货物目的地、交货地（港） 

    @observable
    shptrs=""           // \dedgrp\rec\shptrs    转运 

    @observable
    tenmaxday=""           // \dedgrp\rec\tenmaxday    期限 

    @observable
    traflg=""           // \dedgrp\rec\traflg    是否可转让 

    @observable
    tratyp=""           // \dedgrp\rec\tratyp    货物运输或交货方式/服务方式 

    @observable
    trdapt=""           // \dedgrp\rec\trdapt    分期装运/提供服务约定 

    @observable
    trdtyp=""           // \dedgrp\rec\trdtyp    贸易方式 

    @observable
    usrbch=""           // \dedgrp\rec\usrbch    经办机构 

    @observable
    utlnbr=""           // \dedgrp\rec\utlnbr    收单次数 

    @observable
    ver=""           // \dedgrp\rec\ver    版本号 

    @observable
    pts_namcn=""           // \dedgrp\apl\pts\namcn    客户中文名称 

    @observable
    pts1_namcn=""           // \dedgrp\ben\pts\namcn    客户中文名称 

    @observable
    max_amt=""           // \dedgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \dedgrp\cbs\max\cur    Currency 

    @observable
    opn1_amt=""           // \dedgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \dedgrp\cbs\opn1\cur    Currency 

    @observable
    pts2_extkey=""           // \dedgrp\iss\pts\extkey    客户编号 

    @observable
    pts2_namcn=""           // \dedgrp\iss\pts\namcn    客户中文名称 

    @observable
    liaall_liaallg=[]           // \liaall\liaallg 

    @observable
    liaccv_chgamt=""           // \liaall\liaccv\chgamt    变动金额 

    @observable
    liaccv_concur=""           // \liaall\liaccv\concur    业务结算币种 

    @observable
    liaccv_cshpct=""           // \liaall\liaccv\cshpct    保证金应收比例 

    @observable
    liaccv_liaccvg=[]           // \liaall\liaccv\liaccvg 

    @observable
    liaccv_newamt=""           // \liaall\liaccv\newamt    业务金额 

    @observable
    liaccv_pctresamt=""           // \liaall\liaccv\pctresamt    应收/支保证金 

    @observable
    liaccv_relcshpct=""           // \liaall\liaccv\relcshpct    保证金实收比例 

    @observable
    liaccv_totcovamt=""           // \liaall\liaccv\totcovamt    保证金合计 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.accusr=""
            this.adlcnd=""
            this.adlcndame=""
            this.amedat=""
            this.amenbr=""
            // this.amersn=""
            this.avbby=""
            this.canrsn=""
            this.cantyp=""
            this.cfmflg=""
            this.clsdat=""
            this.clsinf=""
            this.conamt=""
            this.concur=""
            this.conno=""
            this.credat=""
            this.defdet=""
            this.etyextkey=""
            this.expdat=""
            this.expplc=""
            this.inr=""
            this.isstyp=""
            this.lcrdoc=""
            this.lcrdocame=""
            this.lcref=""
            this.lcrgod=""
            this.lcrgodame=""
            this.nam=""
            this.negflg=""
            this.nomspc=""
            this.nomton=""
            this.nomtop=""
            this.opndat=""
            this.ownbch=""
            this.ownref=""
            this.ownusr=""
            this.preadvdat=""
            this.preper=""
            this.rejameflg=""
            this.rejamenbr=""
            this.rejamersn=""
            this.rejflg=""
            this.rejrsn=""
            this.shpfro=""
            this.shppar=""
            this.shpper=""
            this.shppro=""
            this.shpto=""
            this.shptrs=""
            this.tenmaxday=""
            this.traflg=""
            this.tratyp=""
            this.trdapt=""
            this.trdtyp=""
            this.usrbch=""
            this.utlnbr=""
            this.ver=""
            this.pts_namcn=""
            this.pts1_namcn=""
            this.max_amt=""
            this.max_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.pts2_extkey=""
            this.pts2_namcn=""
            this.liaall_liaallg=[]
            this.liaccv_chgamt=""
            this.liaccv_concur=""
            this.liaccv_cshpct=""
            this.liaccv_liaccvg=[]
            this.liaccv_newamt=""
            this.liaccv_pctresamt=""
            this.liaccv_relcshpct=""
            this.liaccv_totcovamt=""
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.setmod_feemac=""
            this.glemod_glelst=[]
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_setmac=""
            this.spt_inr=""
            this.trndoc_cortyp=""
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
    }

} 


export default Detcan