import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Detopn {
    
    @observable
    accusr=""           // \dedgrp\rec\accusr    客户经理 

    @observable
    adlcnd=""           // \dedgrp\rec\adlcnd    附加条款 

    @observable
    avbby=""           // \dedgrp\rec\avbby    信用证对付方式 

    @observable
    cfmflg=""           // \dedgrp\rec\cfmflg    保兑标志 

    @observable
    conamt=""           // \dedgrp\rec\conamt    合同金额 

    @observable
    concur=""           // \dedgrp\rec\concur    合同币种 

    @observable
    conno=""           // \dedgrp\rec\conno    合同编号 

    @observable
    defdet=""           // \dedgrp\rec\defdet    远期付款指示 

    @observable
    expdat=""           // \dedgrp\rec\expdat    有效日期 

    @observable
    expplc=""           // \dedgrp\rec\expplc    有效地点 

    @observable
    isstyp=""           // \dedgrp\rec\isstyp    开证类型 

    @observable
    lcrdoc=""           // \dedgrp\rec\lcrdoc    单据要求 

    @observable
    lcref=""           // \dedgrp\rec\lcref    信用证编号 

    @observable
    lcrgod=""           // \dedgrp\rec\lcrgod    货物服务描述 

    @observable
    nam=""           // \dedgrp\rec\nam    概要描述 

    @observable
    negflg=""           // \dedgrp\rec\negflg    是否可议付 

    @observable
    nomton=""           // \dedgrp\rec\nomton    下浮 

    @observable
    nomtop=""           // \dedgrp\rec\nomtop    上浮 

    @observable
    opndat=""           // \dedgrp\rec\opndat    开立日期 

    @observable
    ownbch=""           // \dedgrp\rec\ownbch    归属机构 

    @observable
    ownref=""           // \dedgrp\rec\ownref    业务编号 

    @observable
    preper=""           // \dedgrp\rec\preper    交单期限 

    @observable
    rejflg=""           // \dedgrp\rec\rejflg    拒绝标识 

    @observable
    rejrsn=""           // \dedgrp\rec\rejrsn    拒绝通知理由 

    @observable
    shpdat=""           // \dedgrp\rec\shpdat    最迟货物装运/服务提供日期  

    @observable
    shpfro=""           // \dedgrp\rec\shpfro    货物装运地(港) 

    @observable
    shppar=""           // \dedgrp\rec\shppar    分批装运货物/分次提供服务 

    @observable
    shpper=""           // \dedgrp\rec\shpper    分期装运/提供服务 

    @observable
    shppro=""           // \dedgrp\rec\shppro    服务提供地点 

    @observable
    shpto=""           // \dedgrp\rec\shpto    货物目的地、交货地（港） 

    @observable
    shptrs=""           // \dedgrp\rec\shptrs    转运 

    @observable
    tenmaxday=""           // \dedgrp\rec\tenmaxday    期限 

    @observable
    traflg=""           // \dedgrp\rec\traflg    是否可转让 

    @observable
    tratyp=""           // \dedgrp\rec\tratyp    货物运输或交货方式/服务方式 

    @observable
    trdapt=""           // \dedgrp\rec\trdapt    分期装运/提供服务约定 

    @observable
    trdtyp=""           // \dedgrp\rec\trdtyp    贸易方式 

    @observable
    pts_adrcn=""           // \dedgrp\a2b\pts\adrcn    中文地址 

    @observable
    pts_extkey=""           // \dedgrp\a2b\pts\extkey    客户编号 

    @observable
    pts_namcn=""           // \dedgrp\a2b\pts\namcn    客户中文名称 

    @observable
    pts1_adrcn=""           // \dedgrp\age\pts\adrcn    中文地址 

    @observable
    pts1_extkey=""           // \dedgrp\age\pts\extkey    客户编号 

    @observable
    pts1_namcn=""           // \dedgrp\age\pts\namcn    客户中文名称 

    @observable
    pts2_adrcn=""           // \dedgrp\apl\pts\adrcn    中文地址 

    @observable
    pts2_extact=""           // \dedgrp\apl\pts\extact    结算账号 

    @observable
    pts2_extkey=""           // \dedgrp\apl\pts\extkey    客户编号 

    @observable
    pts2_namcn=""           // \dedgrp\apl\pts\namcn    客户中文名称 

    @observable
    pts3_adrcn=""           // \dedgrp\ben\pts\adrcn    中文地址 

    @observable
    pts3_extact=""           // \dedgrp\ben\pts\extact    结算账号 

    @observable
    pts3_extkey=""           // \dedgrp\ben\pts\extkey    客户编号 

    @observable
    pts3_namcn=""           // \dedgrp\ben\pts\namcn    客户中文名称 

    @observable
    max_amt=""           // \dedgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \dedgrp\cbs\max\cur    Currency 

    @observable
    nom1_amt=""           // \dedgrp\cbs\nom1\amt    Balance 

    @observable
    nom1_cur=""           // \dedgrp\cbs\nom1\cur    Currency 

    @observable
    pts4_adrcn=""           // \dedgrp\con\pts\adrcn    中文地址 

    @observable
    pts4_extkey=""           // \dedgrp\con\pts\extkey    客户编号 

    @observable
    pts4_namcn=""           // \dedgrp\con\pts\namcn    客户中文名称 

    @observable
    pts5_adrcn=""           // \dedgrp\iss\pts\adrcn    中文地址 

    @observable
    pts5_extkey=""           // \dedgrp\iss\pts\extkey    客户编号 

    @observable
    pts5_namcn=""           // \dedgrp\iss\pts\namcn    客户中文名称 

    @observable
    pts6_adrcn=""           // \dedgrp\neg\pts\adrcn    中文地址 

    @observable
    pts6_extkey=""           // \dedgrp\neg\pts\extkey    客户编号 

    @observable
    pts6_namcn=""           // \dedgrp\neg\pts\namcn    客户中文名称 

    @observable
    liaall_liaallg=[]           // \liaall\liaallg 

    @observable
    liaccv_chgamt=""           // \liaall\liaccv\chgamt    变动金额 

    @observable
    liaccv_concur=""           // \liaall\liaccv\concur    业务结算币种 

    @observable
    liaccv_cshpct=""           // \liaall\liaccv\cshpct    保证金应收比例 

    @observable
    liaccv_liaccvg=[]           // \liaall\liaccv\liaccvg 

    @observable
    liaccv_newamt=""           // \liaall\liaccv\newamt    业务金额 

    @observable
    liaccv_pctresamt=""           // \liaall\liaccv\pctresamt    应收/支保证金 

    @observable
    liaccv_relcshpct=""           // \liaall\liaccv\relcshpct    保证金实收比例 

    @observable
    liaccv_totcovamt=""           // \liaall\liaccv\totcovamt    保证金合计 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.accusr=""
            this.adlcnd=""
            this.avbby=""
            this.cfmflg=""
            this.conamt=""
            this.concur=""
            this.conno=""
            this.defdet=""
            this.expdat=""
            this.expplc=""
            this.isstyp=""
            this.lcrdoc=""
            this.lcref=""
            this.lcrgod=""
            this.nam=""
            this.negflg=""
            this.nomton=""
            this.nomtop=""
            this.opndat=""
            this.ownbch=""
            this.ownref=""
            this.preper=""
            this.rejflg=""
            this.rejrsn=""
            this.shpdat=""
            this.shpfro=""
            this.shppar=""
            this.shpper=""
            this.shppro=""
            this.shpto=""
            this.shptrs=""
            this.tenmaxday=""
            this.traflg=""
            this.tratyp=""
            this.trdapt=""
            this.trdtyp=""
            this.pts_adrcn=""
            this.pts_extkey=""
            this.pts_namcn=""
            this.pts1_adrcn=""
            this.pts1_extkey=""
            this.pts1_namcn=""
            this.pts2_adrcn=""
            this.pts2_extact=""
            this.pts2_extkey=""
            this.pts2_namcn=""
            this.pts3_adrcn=""
            this.pts3_extact=""
            this.pts3_extkey=""
            this.pts3_namcn=""
            this.max_amt=""
            this.max_cur=""
            this.nom1_amt=""
            this.nom1_cur=""
            this.pts4_adrcn=""
            this.pts4_extkey=""
            this.pts4_namcn=""
            this.pts5_adrcn=""
            this.pts5_extkey=""
            this.pts5_namcn=""
            this.pts6_adrcn=""
            this.pts6_extkey=""
            this.pts6_namcn=""
            this.liaall_liaallg=[]
            this.liaccv_chgamt=""
            this.liaccv_concur=""
            this.liaccv_cshpct=""
            this.liaccv_liaccvg=[]
            this.liaccv_newamt=""
            this.liaccv_pctresamt=""
            this.liaccv_relcshpct=""
            this.liaccv_totcovamt=""
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.setmod_feemac=""
            this.glemod_glelst=[]
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_setmac=""
            this.spt_inr=""
            this.trndoc_cortyp=""
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
    }

} 


export default Detopn