export default fieldSet = {
        docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \bddgrp\rec\docamt    索偿金额 
    ],
    doccur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bddgrp\rec\doccur    索偿币种 
    ],
    docinf:[
            {type:'string',max:400,message:'长度不能超过400个字符'},  // \bddgrp\rec\docinf    单据明细 
            { required: true, message: '必输项' }
    ],
    feeamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \bddgrp\rec\feeamt    交单行费用金额 
    ],
    feecur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bddgrp\rec\feecur    交单行费用币种 
    ],
    invno:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bddgrp\rec\invno    发票信息 
         //   { required: true, message: '必输项' }
    ],
    matdat:[
        //    {type:'string',max:12,message:'长度不能超过12个字符'},  // \bddgrp\rec\matdat    到期日 
    ],
    nam:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bddgrp\rec\nam    概要描述 
    ],
    negsta:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \bddgrp\rec\negsta    议付标识 
    ],
    ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bddgrp\rec\ownref    单据编号 
    ],
    payinf:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \bddgrp\rec\payinf    远期付款指示 
            { required: true, message: '必输项' }
    ],
    tenmaxday:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bddgrp\rec\tenmaxday    期限 
    ],
    tranum:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \bddgrp\rec\tranum    快递单号 
    ],
    avbby:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \didgrp\rec\avbby    信用证对付方式 
    ],
    expdat:[
           // {type:'string',max:12,message:'长度不能超过12个字符'},  // \didgrp\rec\expdat    有效日期 
    ],
    expplc:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\rec\expplc    有效地点 
    ],
    nam1:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \didgrp\rec\nam    概要描述 
    ],
    opndat:[
          //  {type:'string',max:12,message:'长度不能超过12个字符'},  // \didgrp\rec\opndat    开立日期 
    ],
    ownref1:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \didgrp\rec\ownref    业务编号 
    ],
    tenmaxday1:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \didgrp\rec\tenmaxday    期限 
    ],
    max_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bddgrp\cbs\max\amt    Balance 
          //  {pattern:/^(0|[1-9][0-9]*)(\.\d+)?$  /,message:'请输入大于0的数'},
    ],
    max_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bddgrp\cbs\max\cur    Currency 
    ],
    pts_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bddgrp\pre\pts\adrcn    中文地址 
    ],
    pts_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bddgrp\pre\pts\extkey    客户编号 
    ],
    pts_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bddgrp\pre\pts\namcn    客户中文名称 
    ],
    pts1_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bddgrp\rcv\pts\adrcn    中文地址 
    ],
    pts1_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bddgrp\rcv\pts\extkey    客户编号 
    ],
    pts1_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bddgrp\rcv\pts\namcn    客户中文名称 
    ],
    pts2_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\adv\pts\adrcn    中文地址 
    ],
    pts3_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\apl\pts\namcn    客户中文名称 
    ],
    pts4_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\ben\pts\namcn    客户中文名称 
    ],
    max1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \didgrp\cbs\max\amt    Balance 
    ],
    max1_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \didgrp\cbs\max\cur    Currency 
    ],
    opn1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \didgrp\cbs\opn1\amt    Balance 
    ],
    opn1_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \didgrp\cbs\opn1\cur    Currency 
    ],
}