export default fieldSet = {
        accusr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \didgrp\rec\accusr    客户经理 
    ],
    adlcnd:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\rec\adlcnd    附加条款 
    ],
    adlcndame:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\rec\adlcndame    附加条款历史修改记录 
    ],
    amedat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \didgrp\rec\amedat    最后修改日期 
    ],
    amenbr:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \didgrp\rec\amenbr    修改次数 
    ],
    avbby:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \didgrp\rec\avbby    信用证对付方式 
    ],
    cfmflg:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \didgrp\rec\cfmflg    保兑标志 
    ],
    clsdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \didgrp\rec\clsdat    闭卷日期 
    ],
    clsinf:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\rec\clsinf    注销/闭卷原因 
    ],
    conamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \didgrp\rec\conamt    合同金额 
    ],
    concur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \didgrp\rec\concur    合同币种 
    ],
    conno:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \didgrp\rec\conno    合同编号 
    ],
    credat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \didgrp\rec\credat    创建日期 
    ],
    defdet:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \didgrp\rec\defdet    远期付款指示 
    ],
    etyextkey:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \didgrp\rec\etyextkey    实体 
    ],
    expdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \didgrp\rec\expdat    有效日期 
    ],
    expplc:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\rec\expplc    有效地点 
    ],
    inr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \didgrp\rec\inr    索引 
    ],
    isstyp:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \didgrp\rec\isstyp    开证类型 
    ],
    lcrdoc:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\rec\lcrdoc    单据要求 
    ],
    lcrdocame:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\rec\lcrdocame    单据要求历史修改记录 
    ],
    lcrgod:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\rec\lcrgod    货物服务描述 
    ],
    lcrgodame:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\rec\lcrgodame    货物/服务描述修改记录 
    ],
    nam:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\rec\nam    概要描述 
    ],
    negflg:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \didgrp\rec\negflg    指定议付行 
    ],
    nomspc:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \didgrp\rec\nomspc    最高金额限额 
    ],
    nomton:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \didgrp\rec\nomton    下浮 
    ],
    nomtop:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \didgrp\rec\nomtop    上浮 
    ],
    opndat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \didgrp\rec\opndat    开立日期 
    ],
    ownbch:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \didgrp\rec\ownbch    归属机构 
    ],
    ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \didgrp\rec\ownref    业务编号 
    ],
    ownusr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \didgrp\rec\ownusr    创建柜员 
    ],
    preadvdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \didgrp\rec\preadvdat    预开立日期 
    ],
    preper:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\rec\preper    交单期限 
    ],
    rejameflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \didgrp\rec\rejameflg    拒绝修改标识 
    ],
    rejamenbr:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \didgrp\rec\rejamenbr    拒绝接受修改次数 
    ],
    rejflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \didgrp\rec\rejflg    拒绝标识 
    ],
    shpdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \didgrp\rec\shpdat    最迟货物装运/服务提供日期  
    ],
    shpfro:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\rec\shpfro    货物装运地(港) 
    ],
    shppar:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \didgrp\rec\shppar    分批装运货物/分次提供服务 
    ],
    shpper:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \didgrp\rec\shpper    分期装运/提供服务 
    ],
    shppro:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\rec\shppro    服务提供地点 
    ],
    shpto:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\rec\shpto    货物目的地、交货地（港） 
    ],
    shptrs:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \didgrp\rec\shptrs    转运 
    ],
    tenmaxday:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \didgrp\rec\tenmaxday    期限 
    ],
    traflg:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \didgrp\rec\traflg    是否可转让 
    ],
    tratyp:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \didgrp\rec\tratyp    货物运输或交货方式/服务方式 
    ],
    trdapt:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\rec\trdapt    分期装运/提供服务约定 
    ],
    trdtyp:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \didgrp\rec\trdtyp    贸易方式 
    ],
    usrbch:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \didgrp\rec\usrbch    经办机构 
    ],
    utlnbr:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \didgrp\rec\utlnbr    收单次数 
    ],
    ver:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \didgrp\rec\ver    版本号 
    ],
    pts_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\adv\pts\namcn    客户中文名称 
    ],
    pts1_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\apl\pts\namcn    客户中文名称 
    ],
    pts2_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\ben\pts\namcn    客户中文名称 
    ],
    max_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \didgrp\cbs\max\amt    Balance 
    ],
    max_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \didgrp\cbs\max\cur    Currency 
    ],
    opn1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \didgrp\cbs\opn1\amt    Balance 
    ],
    opn1_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \didgrp\cbs\opn1\cur    Currency 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
    ],
    setmod_doccur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\doccur    document currency 
    ],
    setmod_feemac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\feemac    FEEMAC 
    ],
    setmod_setmac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\setmac    SETMAC 
    ],
    trndoc_cortyp:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \trnmod\trndoc\cortyp    Per Medium 
    ],
    trndoc_doccod:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
    ],
    trndoc_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
    ],
}