import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Ditsel {
    
    @observable
    ameflg=""           // \ameflg    修改确认flg 

    @observable
    bdtmod_bddlst=[]           // \bdtmod\bddlst 

    @observable
    bdtmod_bdref=""           // \bdtmod\bdref    单据编号 

    @observable
    ditmod_didlst=[]           // \ditmod\didlst 

    @observable
    ditmod_diref=""           // \ditmod\diref    信用证编号 

    @observable
    ramflg=""           // \ramflg    修改请求flg 

    @observable
    rejflg=""           // \rejflg    拒绝通知flg 

    @observable
    selflg=""           // \selflg    选择标识 

    @observable
    inr=""           // \bddgrp\rec\inr    索引

    @observable
    inr1=""           // \didgrp\rec\inr    索引 
    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.ameflg=""
            this.bdtmod_bddlst=[]
            this.bdtmod_bdref=""
            this.ditmod_didlst=[]
            this.ditmod_diref=""
            this.ramflg=""
            this.rejflg=""
            this.selflg=""
    }

} 


export default Ditsel