import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Ditsel {
    
    @observable
    accdat=""           // \bddgrp\rec\accdat    承兑日期 

    @observable
    docflg=""           // \bddgrp\rec\docflg    单据类型 

    @observable
    inr=""           // \bddgrp\rec\inr    索引 

    @observable
    matdat=""           // \bddgrp\rec\matdat    到期日 

    @observable
    nam=""           // \bddgrp\rec\nam    概要描述 

    @observable
    opndat=""           // \bddgrp\rec\opndat    收单日期 

    @observable
    ownref=""           // \bddgrp\rec\ownref    单据编号 

    @observable
    avbby=""           // \didgrp\rec\avbby    信用证对付方式 

    @observable
    expdat=""           // \didgrp\rec\expdat    有效日期 

    @observable
    expplc=""           // \didgrp\rec\expplc    有效地点 

    @observable
    inr1=""           // \didgrp\rec\inr    索引 

    @observable
    nam1=""           // \didgrp\rec\nam    概要描述 

    @observable
    opndat1=""           // \didgrp\rec\opndat    开立日期 

    @observable
    ownref1=""           // \didgrp\rec\ownref    业务编号 

    @observable
    tenmaxday=""           // \didgrp\rec\tenmaxday    期限 

    @observable
    max_amt=""           // \bddgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \bddgrp\cbs\max\cur    Currency 

    @observable
    opn1_amt=""           // \bddgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \bddgrp\cbs\opn1\cur    Currency 

    @observable
    bdtmod_bddlst=[]           // \bdtmod\bddlst 

    @observable
    bdtmod_clsflg=""           // \bdtmod\clsflg    闭卷业务 

    @observable
    bdtmod_othinf=""           // \bdtmod\othinf    其他信息 

    @observable
    cfgfil_cfga=[]           // \cfgfil\cfga 

    @observable
    cfgfil_cfgb=[]           // \cfgfil\cfgb 

    @observable
    pts_namcn=""           // \didgrp\adv\pts\namcn    客户中文名称 

    @observable
    pts1_namcn=""           // \didgrp\apl\pts\namcn    客户中文名称 

    @observable
    pts2_namcn=""           // \didgrp\ben\pts\namcn    客户中文名称 

    @observable
    max1_amt=""           // \didgrp\cbs\max\amt    Balance 

    @observable
    max1_cur=""           // \didgrp\cbs\max\cur    Currency 

    @observable
    opn11_amt=""           // \didgrp\cbs\opn1\amt    Balance 

    @observable
    opn11_cur=""           // \didgrp\cbs\opn1\cur    Currency 

    @observable
    ditmod_clsflg=""           // \ditmod\clsflg    闭卷业务 

    @observable
    ditmod_didlst=[]           // \ditmod\didlst 

    @observable
    ditmod_othinf=""           // \ditmod\othinf    其他信息 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.accdat=""
            this.docflg=""
            this.inr=""
            this.matdat=""
            this.nam=""
            this.opndat=""
            this.ownref=""
            this.avbby=""
            this.expdat=""
            this.expplc=""
            this.inr1=""
            this.nam1=""
            this.opndat1=""
            this.ownref1=""
            this.tenmaxday=""
            this.max_amt=""
            this.max_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.bdtmod_bddlst=[]
            this.bdtmod_clsflg=""
            this.bdtmod_othinf=""
            this.cfgfil_cfga=[]
            this.cfgfil_cfgb=[]
            this.pts_namcn=""
            this.pts1_namcn=""
            this.pts2_namcn=""
            this.max1_amt=""
            this.max1_cur=""
            this.opn11_amt=""
            this.opn11_cur=""
            this.ditmod_clsflg=""
            this.ditmod_didlst=[]
            this.ditmod_othinf=""
    }

} 


export default Ditsel