import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Fptsel {
    
    @observable
    fptp_doclst=[]           // \fptp\doclst 

    @observable
    fptp_docref=""           // \fptp\docref    单据编号 

    @observable
    fptp_ownref=""           // \fptp\ownref    福费廷编号 

    @observable
    fptp_fpdlst=[]           // \fptp\fpdlst 

    @observable
    fptp_ownref1=""           // \fptp\ownref1    福费廷卖出编号 

    @observable
    fptp_fsdlst=[]           // \fptp\fsdlst 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.fptp_doclst=[]
            this.fptp_docref=""
            this.fptp_ownref=""
            this.fptp_fpdlst=[]
            this.fptp_ownref1=""
            this.fptp_fsdlst=[]
    }

} 


export default Fptsel