import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Infsmh {

    @observable
    acrdat=""                 //计提摊销测试日期
    
    @observable
    recpan_dattimfro=""           // \recpan\dattimfro    起始时间 

    @observable
    recpan_dattimtil=""           // \recpan\dattimtil    截止时间 

    @observable
    recpan_docinf=""           // \recpan\docinf     

    @observable
    recpan_frm=""           // \recpan\frm    交易码 

    @observable
    recpan_msgtyp=""          //报文名称

    @observable
    recpan_inout=""           // \recpan\inout    收发报 

    @observable
    recpan_ownref=""           // \recpan\ownref    业务编号 

    @observable
    recpan_smhlst=[]           // \recpan\smhlst 

    @observable
    recpan_sta=""           // \recpan\sta    报文状态 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.recpan_dattimfro=""
            this.recpan_dattimtil=""
            this.recpan_docinf=""
            this.recpan_frm=""
            this.recpan_inout=""
            this.recpan_ownref=""
            this.recpan_smhlst=[]
            this.recpan_sta=""
    }

} 


export default Infsmh