import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Sptrim {
    
    @observable
    conget_bddlst=[]           // \conget\bddlst 

    @observable
    conget_bmdlst=[]           // \conget\bmdlst 

    @observable
    conget_dedlst=[]           // \conget\dedlst 

    @observable
    conget_didlst=[]           // \conget\didlst 

    @observable
    conget_inftxt=""           // \conget\inftxt    inftxt 

    @observable
    conget_lnkobj=""           // \conget\lnkobj    lnkobj 

    @observable
    conget_sector=""           // \conget\sector    Business Sector 

    @observable
    conget_selinr=""           // \conget\selinr    selected INR 

    @observable
    conget_selnam=""           // \conget\selnam    name of selected contract 

    @observable
    conget_selref=""           // \conget\selref    Refecence of selected contract 

    @observable
    spt_frm=""           // \spt\frm    交易名称 

    @observable
    spt_ownusr=""           // \spt\ownusr    指定用户 

    @observable
    rim_amt=""           // \trnmod\rimmod\rim\amt    Amount 

    @observable
    rim_cur=""           // \trnmod\rimmod\rim\cur    Currency 

    @observable
    pts_adrcn=""           // \trnmod\rimmod\rimrol\pts\adrcn    中文地址 

    @observable
    pts_extkey=""           // \trnmod\rimmod\rimrol\pts\extkey    客户编号 

    @observable
    pts_namcn=""           // \trnmod\rimmod\rimrol\pts\namcn    客户中文名称 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.conget_bddlst=[]
            this.conget_bmdlst=[]
            this.conget_dedlst=[]
            this.conget_didlst=[]
            this.conget_inftxt=""
            this.conget_lnkobj=""
            this.conget_sector=""
            this.conget_selinr=""
            this.conget_selnam=""
            this.conget_selref=""
            this.spt_frm=""
            this.spt_ownusr=""
            this.rim_amt=""
            this.rim_cur=""
            this.pts_adrcn=""
            this.pts_extkey=""
            this.pts_namcn=""
    }

} 


export default Sptrim