import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Tctame {
    
    @observable
    actbnk=""           // \tcsgrp\rec\actbnk    账户行BIC 

    @observable
    actbnknam=""           // \tcsgrp\rec\actbnknam    账户号名称 

    @observable
    amt=""           // \tcsgrp\rec\amt    金额 

    @observable
    branch=""           // \tcsgrp\rec\branch    归属机构 

    @observable
    branchnam=""           // \tcsgrp\rec\branchnam    机构名称 

    @observable
    credat=""           // \tcsgrp\rec\credat    申请日期 

    @observable
    cur=""           // \tcsgrp\rec\cur    币种 

    @observable
    cusnam=""           // \tcsgrp\rec\cusnam    客户名称 

    @observable
    opndat=""           // \tcsgrp\rec\opndat    审批通过日期 

    @observable
    ownref=""           // \tcsgrp\rec\ownref    头寸编号 

    @observable
    payifom=""           // \tcsgrp\rec\payifom    款项来源 

    @observable
    payinf=""           // \tcsgrp\rec\payinf    付汇原因 

    @observable
    rtnmsg=""           // \tcsgrp\rec\rtnmsg    退回原因 

    @observable
    sta=""           // \tcsgrp\rec\sta    状态 

    @observable
    valdat=""           // \tcsgrp\rec\valdat    预算起息日 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.actbnk=""
            this.actbnknam=""
            this.amt=""
            this.branch=""
            this.branchnam=""
            this.credat=""
            this.cur=""
            this.cusnam=""
            this.opndat=""
            this.ownref=""
            this.payifom=""
            this.payinf=""
            this.rtnmsg=""
            this.sta=""
            this.valdat=""
    }

} 


export default Tctame